﻿module("VOICE")

distances = {}

distances.patterns = {
	L"1",
	L"10",
	L"100",
	L"1000",
	L"100_and",
	L"11",
	L"12",
	L"13",
	L"14",
	L"15",
	L"16",
	L"17",
	L"18",
	L"19",
	L"1_point",
	L"2",
	L"20",
	L"200",
	L"200_and",
	L"20_and",
	L"2_point",
	L"3",
	L"30",
	L"300",
	L"300_and",
	L"30_and",
	L"3_point",
	L"3_quarter_of_a_mile-e",
	L"3_quarter_of_a_mile-m",
	L"4",
	L"40",
	L"400",
	L"400_and",
	L"40_and",
	L"4_point",
	L"5",
	L"50",
	L"500",
	L"500_and",
	L"50_and",
	L"5_point",
	L"6",
	L"60",
	L"600",
	L"600_and",
	L"60_and",
	L"6_point",
	L"7",
	L"70",
	L"700",
	L"700_and",
	L"70_and",
	L"7_point",
	L"8",
	L"80",
	L"800",
	L"800_and",
	L"80_and",
	L"8_point",
	L"9",
	L"90",
	L"900",
	L"900_and",
	L"90_and",
	L"9_point",
	L"After-10",
	L"After-20",
	L"After-30",
	L"After-40",
	L"After-50",
	L"After-60",
	L"After-70",
	L"After-80",
	L"After-90",
	L"Drive-mt500",
	L"Trip-100",
	L"Trip-200",
	L"Trip-300",
	L"Trip-400",
	L"Trip-500",
	L"Trip-600",
	L"Trip-700",
	L"Trip-800",
	L"Trip-900",
	L"a_quarter_mile-e",
	L"a_quarter_mile-m",
	L"after-1",
	L"after-10",
	L"after-100",
	L"after-1000",
	L"after-10x",
	L"after-11",
	L"after-12",
	L"after-13",
	L"after-14",
	L"after-15",
	L"after-16",
	L"after-17",
	L"after-18",
	L"after-19",
	L"after-1_pt",
	L"after-2",
	L"after-20",
	L"after-200",
	L"after-20x",
	L"after-2_pt",
	L"after-3",
	L"after-30",
	L"after-300",
	L"after-30x",
	L"after-3_pt",
	L"after-4",
	L"after-40",
	L"after-400",
	L"after-40x",
	L"after-4_pt",
	L"after-5",
	L"after-50",
	L"after-500",
	L"after-50x",
	L"after-5_pt",
	L"after-6",
	L"after-60",
	L"after-600",
	L"after-60x",
	L"after-6_pt",
	L"after-7",
	L"after-70",
	L"after-700",
	L"after-70x",
	L"after-7_pt",
	L"after-8",
	L"after-80",
	L"after-800",
	L"after-80x",
	L"after-8_pt",
	L"after-9",
	L"after-90",
	L"after-900",
	L"after-90x",
	L"after-9_pt",
	L"after-mi-3q",
	L"after-mi-aq",
	L"after-mi-hf",
	L"after-mt500",
	L"after-pt",
	L"and_1",
	L"and_10",
	L"and_2",
	L"and_20",
	L"and_3",
	L"and_30",
	L"and_4",
	L"and_40",
	L"and_5",
	L"and_50",
	L"and_6",
	L"and_60",
	L"and_7",
	L"and_70",
	L"and_8",
	L"and_80",
	L"and_9",
	L"and_90",
	L"drive-1",
	L"drive-10",
	L"drive-100",
	L"drive-1000",
	L"drive-11",
	L"drive-12",
	L"drive-13",
	L"drive-14",
	L"drive-15",
	L"drive-16",
	L"drive-17",
	L"drive-18",
	L"drive-19",
	L"drive-1_pt",
	L"drive-1xx",
	L"drive-2",
	L"drive-20",
	L"drive-200",
	L"drive-2_pt",
	L"drive-2xx",
	L"drive-3",
	L"drive-30",
	L"drive-300",
	L"drive-3_pt",
	L"drive-3xx",
	L"drive-4",
	L"drive-40",
	L"drive-400",
	L"drive-4_pt",
	L"drive-4xx",
	L"drive-5",
	L"drive-50",
	L"drive-500",
	L"drive-5_pt",
	L"drive-5xx",
	L"drive-6",
	L"drive-60",
	L"drive-600",
	L"drive-6_pt",
	L"drive-6xx",
	L"drive-7",
	L"drive-70",
	L"drive-700",
	L"drive-7_pt",
	L"drive-7xx",
	L"drive-8",
	L"drive-80",
	L"drive-800",
	L"drive-8_pt",
	L"drive-8xx",
	L"drive-9",
	L"drive-90",
	L"drive-900",
	L"drive-9_pt",
	L"drive-9xx",
	L"drive-mi-3q",
	L"drive-mi-aq",
	L"drive-mi-hf",
	L"drive-mt500",
	L"drive-pt",
	L"feet-e-100",
	L"feet-e-1000",
	L"feet-e-200",
	L"feet-e-300",
	L"feet-e-400",
	L"feet-e-50",
	L"feet-e-500",
	L"feet-e-600",
	L"feet-e-700",
	L"feet-e-800",
	L"feet-e-900",
	L"feet-m-100",
	L"feet-m-1000",
	L"feet-m-200",
	L"feet-m-300",
	L"feet-m-400",
	L"feet-m-50",
	L"feet-m-500",
	L"feet-m-600",
	L"feet-m-700",
	L"feet-m-800",
	L"feet-m-900",
	L"half_mile-e",
	L"half_mile-m",
	L"kilometer-e-1",
	L"kilometer-m-1",
	L"kilometers-e-10",
	L"kilometers-e-100",
	L"kilometers-e-11",
	L"kilometers-e-12",
	L"kilometers-e-13",
	L"kilometers-e-14",
	L"kilometers-e-15",
	L"kilometers-e-16",
	L"kilometers-e-17",
	L"kilometers-e-18",
	L"kilometers-e-19",
	L"kilometers-e-2",
	L"kilometers-e-20",
	L"kilometers-e-200",
	L"kilometers-e-3",
	L"kilometers-e-30",
	L"kilometers-e-300",
	L"kilometers-e-4",
	L"kilometers-e-40",
	L"kilometers-e-400",
	L"kilometers-e-5",
	L"kilometers-e-50",
	L"kilometers-e-500",
	L"kilometers-e-6",
	L"kilometers-e-60",
	L"kilometers-e-7",
	L"kilometers-e-70",
	L"kilometers-e-8",
	L"kilometers-e-80",
	L"kilometers-e-9",
	L"kilometers-e-90",
	L"kilometers-e-mt500",
	L"kilometers-e-pt_1",
	L"kilometers-e-pt_2",
	L"kilometers-e-pt_3",
	L"kilometers-e-pt_4",
	L"kilometers-e-pt_5",
	L"kilometers-e-pt_6",
	L"kilometers-e-pt_7",
	L"kilometers-e-pt_8",
	L"kilometers-e-pt_9",
	L"kilometers-e-x10",
	L"kilometers-m-10",
	L"kilometers-m-100",
	L"kilometers-m-11",
	L"kilometers-m-12",
	L"kilometers-m-13",
	L"kilometers-m-14",
	L"kilometers-m-15",
	L"kilometers-m-16",
	L"kilometers-m-17",
	L"kilometers-m-18",
	L"kilometers-m-19",
	L"kilometers-m-2",
	L"kilometers-m-20",
	L"kilometers-m-200",
	L"kilometers-m-3",
	L"kilometers-m-30",
	L"kilometers-m-300",
	L"kilometers-m-4",
	L"kilometers-m-40",
	L"kilometers-m-400",
	L"kilometers-m-5",
	L"kilometers-m-50",
	L"kilometers-m-500",
	L"kilometers-m-6",
	L"kilometers-m-60",
	L"kilometers-m-7",
	L"kilometers-m-70",
	L"kilometers-m-8",
	L"kilometers-m-80",
	L"kilometers-m-9",
	L"kilometers-m-90",
	L"kilometers-m-mt500",
	L"kilometers-m-pt_1",
	L"kilometers-m-pt_2",
	L"kilometers-m-pt_3",
	L"kilometers-m-pt_4",
	L"kilometers-m-pt_5",
	L"kilometers-m-pt_6",
	L"kilometers-m-pt_7",
	L"kilometers-m-pt_8",
	L"kilometers-m-pt_9",
	L"kilometers-m-x10",
	L"meters-e-10",
	L"meters-e-100",
	L"meters-e-20",
	L"meters-e-200",
	L"meters-e-30",
	L"meters-e-300",
	L"meters-e-40",
	L"meters-e-400",
	L"meters-e-50",
	L"meters-e-500",
	L"meters-e-60",
	L"meters-e-600",
	L"meters-e-70",
	L"meters-e-700",
	L"meters-e-80",
	L"meters-e-800",
	L"meters-e-90",
	L"meters-e-900",
	L"meters-e-x10",
	L"meters-m-10",
	L"meters-m-100",
	L"meters-m-20",
	L"meters-m-200",
	L"meters-m-30",
	L"meters-m-300",
	L"meters-m-40",
	L"meters-m-400",
	L"meters-m-50",
	L"meters-m-500",
	L"meters-m-60",
	L"meters-m-600",
	L"meters-m-70",
	L"meters-m-700",
	L"meters-m-80",
	L"meters-m-800",
	L"meters-m-90",
	L"meters-m-900",
	L"meters-m-x10",
	L"mile-e-1",
	L"mile-m-1",
	L"miles-e-10",
	L"miles-e-100",
	L"miles-e-11",
	L"miles-e-12",
	L"miles-e-13",
	L"miles-e-14",
	L"miles-e-15",
	L"miles-e-16",
	L"miles-e-17",
	L"miles-e-18",
	L"miles-e-19",
	L"miles-e-2",
	L"miles-e-20",
	L"miles-e-200",
	L"miles-e-3",
	L"miles-e-30",
	L"miles-e-300",
	L"miles-e-4",
	L"miles-e-40",
	L"miles-e-400",
	L"miles-e-5",
	L"miles-e-50",
	L"miles-e-500",
	L"miles-e-6",
	L"miles-e-60",
	L"miles-e-7",
	L"miles-e-70",
	L"miles-e-8",
	L"miles-e-80",
	L"miles-e-9",
	L"miles-e-90",
	L"miles-e-mt500",
	L"miles-e-pt_1",
	L"miles-e-pt_2",
	L"miles-e-pt_3",
	L"miles-e-pt_4",
	L"miles-e-pt_5",
	L"miles-e-pt_6",
	L"miles-e-pt_7",
	L"miles-e-pt_8",
	L"miles-e-pt_9",
	L"miles-e-x10",
	L"miles-m-10",
	L"miles-m-100",
	L"miles-m-11",
	L"miles-m-12",
	L"miles-m-13",
	L"miles-m-14",
	L"miles-m-15",
	L"miles-m-16",
	L"miles-m-17",
	L"miles-m-18",
	L"miles-m-19",
	L"miles-m-2",
	L"miles-m-20",
	L"miles-m-200",
	L"miles-m-3",
	L"miles-m-30",
	L"miles-m-300",
	L"miles-m-4",
	L"miles-m-40",
	L"miles-m-400",
	L"miles-m-5",
	L"miles-m-50",
	L"miles-m-500",
	L"miles-m-6",
	L"miles-m-60",
	L"miles-m-7",
	L"miles-m-70",
	L"miles-m-8",
	L"miles-m-80",
	L"miles-m-9",
	L"miles-m-90",
	L"miles-m-mt500",
	L"miles-m-pt_1",
	L"miles-m-pt_2",
	L"miles-m-pt_3",
	L"miles-m-pt_4",
	L"miles-m-pt_5",
	L"miles-m-pt_6",
	L"miles-m-pt_7",
	L"miles-m-pt_8",
	L"miles-m-pt_9",
	L"miles-m-x10",
	L"more_than_500",
	L"point_1km",
	L"point_2km",
	L"point_3km",
	L"point_4_miles-e",
	L"point_4_miles-m",
	L"point_4km",
	L"point_5km",
	L"point_6_miles-e",
	L"point_6_miles-m",
	L"point_6km",
	L"point_7km",
	L"point_8km",
	L"point_9_miles-e",
	L"point_9_miles-m",
	L"point_9km",
	L"trip-1",
	L"trip-10",
	L"trip-100",
	L"trip-1000",
	L"trip-11",
	L"trip-12",
	L"trip-13",
	L"trip-14",
	L"trip-15",
	L"trip-16",
	L"trip-17",
	L"trip-18",
	L"trip-19",
	L"trip-1_pt",
	L"trip-1xx",
	L"trip-2",
	L"trip-20",
	L"trip-200",
	L"trip-2_pt",
	L"trip-2xx",
	L"trip-3",
	L"trip-30",
	L"trip-300",
	L"trip-3_pt",
	L"trip-3xx",
	L"trip-4",
	L"trip-40",
	L"trip-400",
	L"trip-4_pt",
	L"trip-4xx",
	L"trip-5",
	L"trip-50",
	L"trip-500",
	L"trip-5_pt",
	L"trip-5xx",
	L"trip-6",
	L"trip-60",
	L"trip-600",
	L"trip-6_pt",
	L"trip-6xx",
	L"trip-7",
	L"trip-70",
	L"trip-700",
	L"trip-7_pt",
	L"trip-7xx",
	L"trip-8",
	L"trip-80",
	L"trip-800",
	L"trip-8_pt",
	L"trip-8xx",
	L"trip-9",
	L"trip-90",
	L"trip-900",
	L"trip-9_pt",
	L"trip-9xx",
	L"trip-mi-3q",
	L"trip-mi-aq",
	L"trip-mi-hf",
	L"trip-pt",
	L"yards-e-10",
	L"yards-e-100",
	L"yards-e-20",
	L"yards-e-200",
	L"yards-e-30",
	L"yards-e-300",
	L"yards-e-40",
	L"yards-e-400",
	L"yards-e-50",
	L"yards-e-60",
	L"yards-e-70",
	L"yards-e-80",
	L"yards-e-90",
	L"yards-e-x10",
	L"yards-m-10",
	L"yards-m-100",
	L"yards-m-20",
	L"yards-m-200",
	L"yards-m-30",
	L"yards-m-300",
	L"yards-m-40",
	L"yards-m-400",
	L"yards-m-50",
	L"yards-m-60",
	L"yards-m-70",
	L"yards-m-80",
	L"yards-m-90",
	L"yards-m-x10",
}

distances.meters = {
	10, "\66\2\130\98\0\66\2\130\79\0\129\38\2\130\79\0\131\92\2\130\79\0",
	20, "\67\17\130\100\0\67\17\130\81\0\129\53\17\130\81\0\131\107\17\130\81\0",
	30, "\68\23\130\102\0\68\23\130\83\0\129\58\23\130\83\0\131\112\23\130\83\0",
	40, "\69\31\130\104\0\69\31\130\85\0\129\63\31\130\85\0\131\117\31\130\85\0",
	50, "\70\37\130\106\0\70\37\130\87\0\129\68\37\130\87\0\131\122\37\130\87\0",
	60, "\71\43\130\108\0\71\43\130\89\0\129\73\43\130\89\0\131\127\43\130\89\0",
	70, "\72\49\130\110\0\72\49\130\91\0\129\78\49\130\91\0\132\4\49\130\91\0",
	80, "\73\55\130\112\0\73\55\130\93\0\129\83\55\130\93\0\132\9\55\130\93\0",
	90, "\74\61\130\114\0\74\61\130\95\0\129\88\61\130\95\0\132\14\61\130\95\0",
	100, "\89\3\130\99\0\89\3\130\80\0\129\39\3\130\80\0\76\3\130\80\0",
	110, "\91\5\129\20\130\116\0\91\5\129\20\130\97\0\129\51\5\129\20\130\97\0\131\105\5\129\20\130\97\0",
	120, "\91\5\129\22\130\100\0\91\5\129\22\130\81\0\129\51\5\129\22\130\81\0\131\105\5\129\22\130\81\0",
	130, "\91\5\129\24\130\102\0\91\5\129\24\130\83\0\129\51\5\129\24\130\83\0\131\105\5\129\24\130\83\0",
	140, "\91\5\129\26\130\104\0\91\5\129\26\130\85\0\129\51\5\129\26\130\85\0\131\105\5\129\26\130\85\0",
	150, "\91\5\129\28\130\106\0\91\5\129\28\130\87\0\129\51\5\129\28\130\87\0\131\105\5\129\28\130\87\0",
	160, "\91\5\129\30\130\108\0\91\5\129\30\130\89\0\129\51\5\129\30\130\89\0\131\105\5\129\30\130\89\0",
	170, "\91\5\129\32\130\110\0\91\5\129\32\130\91\0\129\51\5\129\32\130\91\0\131\105\5\129\32\130\91\0",
	180, "\91\5\129\34\130\112\0\91\5\129\34\130\93\0\129\51\5\129\34\130\93\0\131\105\5\129\34\130\93\0",
	190, "\91\5\129\36\130\114\0\91\5\129\36\130\95\0\129\51\5\129\36\130\95\0\131\105\5\129\36\130\95\0",
	200, "\104\18\130\101\0\104\18\130\82\0\129\54\18\130\82\0\77\18\130\82\0",
	210, "\105\19\129\20\130\116\0\105\19\129\20\130\97\0\129\56\19\129\20\130\97\0\131\110\19\129\20\130\97\0",
	220, "\105\19\129\22\130\100\0\105\19\129\22\130\81\0\129\56\19\129\22\130\81\0\131\110\19\129\22\130\81\0",
	230, "\105\19\129\24\130\102\0\105\19\129\24\130\83\0\129\56\19\129\24\130\83\0\131\110\19\129\24\130\83\0",
	240, "\105\19\129\26\130\104\0\105\19\129\26\130\85\0\129\56\19\129\26\130\85\0\131\110\19\129\26\130\85\0",
	250, "\105\19\129\28\130\106\0\105\19\129\28\130\87\0\129\56\19\129\28\130\87\0\131\110\19\129\28\130\87\0",
	260, "\105\19\129\30\130\108\0\105\19\129\30\130\89\0\129\56\19\129\30\130\89\0\131\110\19\129\30\130\89\0",
	270, "\105\19\129\32\130\110\0\105\19\129\32\130\91\0\129\56\19\129\32\130\91\0\131\110\19\129\32\130\91\0",
	280, "\105\19\129\34\130\112\0\105\19\129\34\130\93\0\129\56\19\129\34\130\93\0\131\110\19\129\34\130\93\0",
	290, "\105\19\129\36\130\114\0\105\19\129\36\130\95\0\129\56\19\129\36\130\95\0\131\110\19\129\36\130\95\0",
	300, "\109\24\130\103\0\109\24\130\84\0\129\59\24\130\84\0\78\24\130\84\0",
	310, "\110\25\129\20\130\116\0\110\25\129\20\130\97\0\129\61\25\129\20\130\97\0\131\115\25\129\20\130\97\0",
	320, "\110\25\129\22\130\100\0\110\25\129\22\130\81\0\129\61\25\129\22\130\81\0\131\115\25\129\22\130\81\0",
	330, "\110\25\129\24\130\102\0\110\25\129\24\130\83\0\129\61\25\129\24\130\83\0\131\115\25\129\24\130\83\0",
	340, "\110\25\129\26\130\104\0\110\25\129\26\130\85\0\129\61\25\129\26\130\85\0\131\115\25\129\26\130\85\0",
	350, "\110\25\129\28\130\106\0\110\25\129\28\130\87\0\129\61\25\129\28\130\87\0\131\115\25\129\28\130\87\0",
	360, "\110\25\129\30\130\108\0\110\25\129\30\130\89\0\129\61\25\129\30\130\89\0\131\115\25\129\30\130\89\0",
	370, "\110\25\129\32\130\110\0\110\25\129\32\130\91\0\129\61\25\129\32\130\91\0\131\115\25\129\32\130\91\0",
	380, "\110\25\129\34\130\112\0\110\25\129\34\130\93\0\129\61\25\129\34\130\93\0\131\115\25\129\34\130\93\0",
	390, "\110\25\129\36\130\114\0\110\25\129\36\130\95\0\129\61\25\129\36\130\95\0\131\115\25\129\36\130\95\0",
	400, "\114\32\130\105\0\114\32\130\86\0\129\64\32\130\86\0\79\32\130\86\0",
	410, "\115\33\129\20\130\116\0\115\33\129\20\130\97\0\129\66\33\129\20\130\97\0\131\120\33\129\20\130\97\0",
	420, "\115\33\129\22\130\100\0\115\33\129\22\130\81\0\129\66\33\129\22\130\81\0\131\120\33\129\22\130\81\0",
	430, "\115\33\129\24\130\102\0\115\33\129\24\130\83\0\129\66\33\129\24\130\83\0\131\120\33\129\24\130\83\0",
	440, "\115\33\129\26\130\104\0\115\33\129\26\130\85\0\129\66\33\129\26\130\85\0\131\120\33\129\26\130\85\0",
	450, "\115\33\129\28\130\106\0\115\33\129\28\130\87\0\129\66\33\129\28\130\87\0\131\120\33\129\28\130\87\0",
	460, "\115\33\129\30\130\108\0\115\33\129\30\130\89\0\129\66\33\129\30\130\89\0\131\120\33\129\30\130\89\0",
	470, "\115\33\129\32\130\110\0\115\33\129\32\130\91\0\129\66\33\129\32\130\91\0\131\120\33\129\32\130\91\0",
	480, "\115\33\129\34\130\112\0\115\33\129\34\130\93\0\129\66\33\129\34\130\93\0\131\120\33\129\34\130\93\0",
	490, "\115\33\129\36\130\114\0\115\33\129\36\130\95\0\129\66\33\129\36\130\95\0\131\120\33\129\36\130\95\0",
	500, "\119\38\130\107\0\119\38\130\88\0\129\69\38\130\88\0\80\38\130\88\0",
	510, "\120\39\129\20\130\116\0\120\39\129\20\130\97\0\129\71\39\129\20\130\97\0\131\125\39\129\20\130\97\0",
	520, "\120\39\129\22\130\100\0\120\39\129\22\130\81\0\129\71\39\129\22\130\81\0\131\125\39\129\22\130\81\0",
	530, "\120\39\129\24\130\102\0\120\39\129\24\130\83\0\129\71\39\129\24\130\83\0\131\125\39\129\24\130\83\0",
	540, "\120\39\129\26\130\104\0\120\39\129\26\130\85\0\129\71\39\129\26\130\85\0\131\125\39\129\26\130\85\0",
	550, "\120\39\129\28\130\106\0\120\39\129\28\130\87\0\129\71\39\129\28\130\87\0\131\125\39\129\28\130\87\0",
	560, "\120\39\129\30\130\108\0\120\39\129\30\130\89\0\129\71\39\129\30\130\89\0\131\125\39\129\30\130\89\0",
	570, "\120\39\129\32\130\110\0\120\39\129\32\130\91\0\129\71\39\129\32\130\91\0\131\125\39\129\32\130\91\0",
	580, "\120\39\129\34\130\112\0\120\39\129\34\130\93\0\129\71\39\129\34\130\93\0\131\125\39\129\34\130\93\0",
	590, "\120\39\129\36\130\114\0\120\39\129\36\130\95\0\129\71\39\129\36\130\95\0\131\125\39\129\36\130\95\0",
	600, "\124\44\130\109\0\124\44\130\90\0\129\74\44\130\90\0\81\44\130\90\0",
	610, "\125\45\129\20\130\116\0\125\45\129\20\130\97\0\129\76\45\129\20\130\97\0\132\2\45\129\20\130\97\0",
	620, "\125\45\129\22\130\100\0\125\45\129\22\130\81\0\129\76\45\129\22\130\81\0\132\2\45\129\22\130\81\0",
	630, "\125\45\129\24\130\102\0\125\45\129\24\130\83\0\129\76\45\129\24\130\83\0\132\2\45\129\24\130\83\0",
	640, "\125\45\129\26\130\104\0\125\45\129\26\130\85\0\129\76\45\129\26\130\85\0\132\2\45\129\26\130\85\0",
	650, "\125\45\129\28\130\106\0\125\45\129\28\130\87\0\129\76\45\129\28\130\87\0\132\2\45\129\28\130\87\0",
	660, "\125\45\129\30\130\108\0\125\45\129\30\130\89\0\129\76\45\129\30\130\89\0\132\2\45\129\30\130\89\0",
	670, "\125\45\129\32\130\110\0\125\45\129\32\130\91\0\129\76\45\129\32\130\91\0\132\2\45\129\32\130\91\0",
	680, "\125\45\129\34\130\112\0\125\45\129\34\130\93\0\129\76\45\129\34\130\93\0\132\2\45\129\34\130\93\0",
	690, "\125\45\129\36\130\114\0\125\45\129\36\130\95\0\129\76\45\129\36\130\95\0\132\2\45\129\36\130\95\0",
	700, "\129\1\50\130\111\0\129\1\50\130\92\0\129\79\50\130\92\0\82\50\130\92\0",
	710, "\129\2\51\129\20\130\116\0\129\2\51\129\20\130\97\0\129\81\51\129\20\130\97\0\132\7\51\129\20\130\97\0",
	720, "\129\2\51\129\22\130\100\0\129\2\51\129\22\130\81\0\129\81\51\129\22\130\81\0\132\7\51\129\22\130\81\0",
	730, "\129\2\51\129\24\130\102\0\129\2\51\129\24\130\83\0\129\81\51\129\24\130\83\0\132\7\51\129\24\130\83\0",
	740, "\129\2\51\129\26\130\104\0\129\2\51\129\26\130\85\0\129\81\51\129\26\130\85\0\132\7\51\129\26\130\85\0",
	750, "\129\2\51\129\28\130\106\0\129\2\51\129\28\130\87\0\129\81\51\129\28\130\87\0\132\7\51\129\28\130\87\0",
	760, "\129\2\51\129\30\130\108\0\129\2\51\129\30\130\89\0\129\81\51\129\30\130\89\0\132\7\51\129\30\130\89\0",
	770, "\129\2\51\129\32\130\110\0\129\2\51\129\32\130\91\0\129\81\51\129\32\130\91\0\132\7\51\129\32\130\91\0",
	780, "\129\2\51\129\34\130\112\0\129\2\51\129\34\130\93\0\129\81\51\129\34\130\93\0\132\7\51\129\34\130\93\0",
	790, "\129\2\51\129\36\130\114\0\129\2\51\129\36\130\95\0\129\81\51\129\36\130\95\0\132\7\51\129\36\130\95\0",
	800, "\129\6\56\130\113\0\129\6\56\130\94\0\129\84\56\130\94\0\83\56\130\94\0",
	810, "\129\7\57\129\20\130\116\0\129\7\57\129\20\130\97\0\129\86\57\129\20\130\97\0\132\12\57\129\20\130\97\0",
	820, "\129\7\57\129\22\130\100\0\129\7\57\129\22\130\81\0\129\86\57\129\22\130\81\0\132\12\57\129\22\130\81\0",
	830, "\129\7\57\129\24\130\102\0\129\7\57\129\24\130\83\0\129\86\57\129\24\130\83\0\132\12\57\129\24\130\83\0",
	840, "\129\7\57\129\26\130\104\0\129\7\57\129\26\130\85\0\129\86\57\129\26\130\85\0\132\12\57\129\26\130\85\0",
	850, "\129\7\57\129\28\130\106\0\129\7\57\129\28\130\87\0\129\86\57\129\28\130\87\0\132\12\57\129\28\130\87\0",
	860, "\129\7\57\129\30\130\108\0\129\7\57\129\30\130\89\0\129\86\57\129\30\130\89\0\132\12\57\129\30\130\89\0",
	870, "\129\7\57\129\32\130\110\0\129\7\57\129\32\130\91\0\129\86\57\129\32\130\91\0\132\12\57\129\32\130\91\0",
	880, "\129\7\57\129\34\130\112\0\129\7\57\129\34\130\93\0\129\86\57\129\34\130\93\0\132\12\57\129\34\130\93\0",
	890, "\129\7\57\129\36\130\114\0\129\7\57\129\36\130\95\0\129\86\57\129\36\130\95\0\132\12\57\129\36\130\95\0",
	900, "\129\11\62\130\115\0\129\11\62\130\96\0\129\89\62\130\96\0\84\62\130\96\0",
	910, "\129\12\63\129\20\130\116\0\129\12\63\129\20\130\97\0\129\91\63\129\20\130\97\0\132\17\63\129\20\130\97\0",
	920, "\129\12\63\129\22\130\100\0\129\12\63\129\22\130\81\0\129\91\63\129\22\130\81\0\132\17\63\129\22\130\81\0",
	930, "\129\12\63\129\24\130\102\0\129\12\63\129\24\130\83\0\129\91\63\129\24\130\83\0\132\17\63\129\24\130\83\0",
	940, "\129\12\63\129\26\130\104\0\129\12\63\129\26\130\85\0\129\91\63\129\26\130\85\0\132\17\63\129\26\130\85\0",
	950, "\129\12\63\129\28\130\106\0\129\12\63\129\28\130\87\0\129\91\63\129\28\130\87\0\132\17\63\129\28\130\87\0",
	960, "\129\12\63\129\30\130\108\0\129\12\63\129\30\130\89\0\129\91\63\129\30\130\89\0\132\17\63\129\30\130\89\0",
	970, "\129\12\63\129\32\130\110\0\129\12\63\129\32\130\91\0\129\91\63\129\32\130\91\0\132\17\63\129\32\130\91\0",
	980, "\129\12\63\129\34\130\112\0\129\12\63\129\34\130\93\0\129\91\63\129\34\130\93\0\132\17\63\129\34\130\93\0",
	990, "\129\12\63\129\36\130\114\0\129\12\63\129\36\130\95\0\129\91\63\129\36\130\95\0\132\17\63\129\36\130\95\0",
	1000, "\87\1\129\122\0\87\1\129\121\0\129\37\1\129\121\0\131\91\1\129\121\0",
	1100, "\101\15\131\76\130\69\0\101\15\131\76\130\27\0\129\50\15\131\76\130\27\0\131\104\15\131\76\130\27\0",
	1200, "\101\15\131\77\130\70\0\101\15\131\77\130\28\0\129\50\15\131\77\130\28\0\131\104\15\131\77\130\28\0",
	1300, "\101\15\131\78\130\71\0\101\15\131\78\130\29\0\129\50\15\131\78\130\29\0\131\104\15\131\78\130\29\0",
	1400, "\101\15\131\81\130\72\0\101\15\131\81\130\30\0\129\50\15\131\81\130\30\0\131\104\15\131\81\130\30\0",
	1500, "\101\15\131\82\130\73\0\101\15\131\82\130\31\0\129\50\15\131\82\130\31\0\131\104\15\131\82\130\31\0",
	1600, "\101\15\131\85\130\74\0\101\15\131\85\130\32\0\129\50\15\131\85\130\32\0\131\104\15\131\85\130\32\0",
	1700, "\101\15\131\86\130\75\0\101\15\131\86\130\33\0\129\50\15\131\86\130\33\0\131\104\15\131\86\130\33\0",
	1800, "\101\15\131\87\130\76\0\101\15\131\87\130\34\0\129\50\15\131\87\130\34\0\131\104\15\131\87\130\34\0",
	1900, "\101\15\131\90\130\77\0\101\15\131\90\130\35\0\129\50\15\131\90\130\35\0\131\104\15\131\90\130\35\0",
	2000, "\102\16\130\48\0\102\16\130\6\0\129\52\16\130\6\0\131\106\16\130\6\0",
	2100, "\106\21\131\76\130\69\0\106\21\131\76\130\27\0\129\55\21\131\76\130\27\0\131\109\21\131\76\130\27\0",
	2200, "\106\21\131\77\130\70\0\106\21\131\77\130\28\0\129\55\21\131\77\130\28\0\131\109\21\131\77\130\28\0",
	2300, "\106\21\131\78\130\71\0\106\21\131\78\130\29\0\129\55\21\131\78\130\29\0\131\109\21\131\78\130\29\0",
	2400, "\106\21\131\81\130\72\0\106\21\131\81\130\30\0\129\55\21\131\81\130\30\0\131\109\21\131\81\130\30\0",
	2500, "\106\21\131\82\130\73\0\106\21\131\82\130\31\0\129\55\21\131\82\130\31\0\131\109\21\131\82\130\31\0",
	2600, "\106\21\131\85\130\74\0\106\21\131\85\130\32\0\129\55\21\131\85\130\32\0\131\109\21\131\85\130\32\0",
	2700, "\106\21\131\86\130\75\0\106\21\131\86\130\33\0\129\55\21\131\86\130\33\0\131\109\21\131\86\130\33\0",
	2800, "\106\21\131\87\130\76\0\106\21\131\87\130\34\0\129\55\21\131\87\130\34\0\131\109\21\131\87\130\34\0",
	2900, "\106\21\131\90\130\77\0\106\21\131\90\130\35\0\129\55\21\131\90\130\35\0\131\109\21\131\90\130\35\0",
	3000, "\107\22\130\51\0\107\22\130\9\0\129\57\22\130\9\0\131\111\22\130\9\0",
	3100, "\111\27\131\76\130\69\0\111\27\131\76\130\27\0\129\60\27\131\76\130\27\0\131\114\27\131\76\130\27\0",
	3200, "\111\27\131\77\130\70\0\111\27\131\77\130\28\0\129\60\27\131\77\130\28\0\131\114\27\131\77\130\28\0",
	3300, "\111\27\131\78\130\71\0\111\27\131\78\130\29\0\129\60\27\131\78\130\29\0\131\114\27\131\78\130\29\0",
	3400, "\111\27\131\81\130\72\0\111\27\131\81\130\30\0\129\60\27\131\81\130\30\0\131\114\27\131\81\130\30\0",
	3500, "\111\27\131\82\130\73\0\111\27\131\82\130\31\0\129\60\27\131\82\130\31\0\131\114\27\131\82\130\31\0",
	3600, "\111\27\131\85\130\74\0\111\27\131\85\130\32\0\129\60\27\131\85\130\32\0\131\114\27\131\85\130\32\0",
	3700, "\111\27\131\86\130\75\0\111\27\131\86\130\33\0\129\60\27\131\86\130\33\0\131\114\27\131\86\130\33\0",
	3800, "\111\27\131\87\130\76\0\111\27\131\87\130\34\0\129\60\27\131\87\130\34\0\131\114\27\131\87\130\34\0",
	3900, "\111\27\131\90\130\77\0\111\27\131\90\130\35\0\129\60\27\131\90\130\35\0\131\114\27\131\90\130\35\0",
	4000, "\112\30\130\54\0\112\30\130\12\0\129\62\30\130\12\0\131\116\30\130\12\0",
	4100, "\116\35\131\76\130\69\0\116\35\131\76\130\27\0\129\65\35\131\76\130\27\0\131\119\35\131\76\130\27\0",
	4200, "\116\35\131\77\130\70\0\116\35\131\77\130\28\0\129\65\35\131\77\130\28\0\131\119\35\131\77\130\28\0",
	4300, "\116\35\131\78\130\71\0\116\35\131\78\130\29\0\129\65\35\131\78\130\29\0\131\119\35\131\78\130\29\0",
	4400, "\116\35\131\81\130\72\0\116\35\131\81\130\30\0\129\65\35\131\81\130\30\0\131\119\35\131\81\130\30\0",
	4500, "\116\35\131\82\130\73\0\116\35\131\82\130\31\0\129\65\35\131\82\130\31\0\131\119\35\131\82\130\31\0",
	4600, "\116\35\131\85\130\74\0\116\35\131\85\130\32\0\129\65\35\131\85\130\32\0\131\119\35\131\85\130\32\0",
	4700, "\116\35\131\86\130\75\0\116\35\131\86\130\33\0\129\65\35\131\86\130\33\0\131\119\35\131\86\130\33\0",
	4800, "\116\35\131\87\130\76\0\116\35\131\87\130\34\0\129\65\35\131\87\130\34\0\131\119\35\131\87\130\34\0",
	4900, "\116\35\131\90\130\77\0\116\35\131\90\130\35\0\129\65\35\131\90\130\35\0\131\119\35\131\90\130\35\0",
	5000, "\117\36\130\57\0\117\36\130\15\0\129\67\36\130\15\0\131\121\36\130\15\0",
	5100, "\121\41\131\76\130\69\0\121\41\131\76\130\27\0\129\70\41\131\76\130\27\0\131\124\41\131\76\130\27\0",
	5200, "\121\41\131\77\130\70\0\121\41\131\77\130\28\0\129\70\41\131\77\130\28\0\131\124\41\131\77\130\28\0",
	5300, "\121\41\131\78\130\71\0\121\41\131\78\130\29\0\129\70\41\131\78\130\29\0\131\124\41\131\78\130\29\0",
	5400, "\121\41\131\81\130\72\0\121\41\131\81\130\30\0\129\70\41\131\81\130\30\0\131\124\41\131\81\130\30\0",
	5500, "\121\41\131\82\130\73\0\121\41\131\82\130\31\0\129\70\41\131\82\130\31\0\131\124\41\131\82\130\31\0",
	5600, "\121\41\131\85\130\74\0\121\41\131\85\130\32\0\129\70\41\131\85\130\32\0\131\124\41\131\85\130\32\0",
	5700, "\121\41\131\86\130\75\0\121\41\131\86\130\33\0\129\70\41\131\86\130\33\0\131\124\41\131\86\130\33\0",
	5800, "\121\41\131\87\130\76\0\121\41\131\87\130\34\0\129\70\41\131\87\130\34\0\131\124\41\131\87\130\34\0",
	5900, "\121\41\131\90\130\77\0\121\41\131\90\130\35\0\129\70\41\131\90\130\35\0\131\124\41\131\90\130\35\0",
	6000, "\122\42\130\60\0\122\42\130\18\0\129\72\42\130\18\0\131\126\42\130\18\0",
	6100, "\126\47\131\76\130\69\0\126\47\131\76\130\27\0\129\75\47\131\76\130\27\0\132\1\47\131\76\130\27\0",
	6200, "\126\47\131\77\130\70\0\126\47\131\77\130\28\0\129\75\47\131\77\130\28\0\132\1\47\131\77\130\28\0",
	6300, "\126\47\131\78\130\71\0\126\47\131\78\130\29\0\129\75\47\131\78\130\29\0\132\1\47\131\78\130\29\0",
	6400, "\126\47\131\81\130\72\0\126\47\131\81\130\30\0\129\75\47\131\81\130\30\0\132\1\47\131\81\130\30\0",
	6500, "\126\47\131\82\130\73\0\126\47\131\82\130\31\0\129\75\47\131\82\130\31\0\132\1\47\131\82\130\31\0",
	6600, "\126\47\131\85\130\74\0\126\47\131\85\130\32\0\129\75\47\131\85\130\32\0\132\1\47\131\85\130\32\0",
	6700, "\126\47\131\86\130\75\0\126\47\131\86\130\33\0\129\75\47\131\86\130\33\0\132\1\47\131\86\130\33\0",
	6800, "\126\47\131\87\130\76\0\126\47\131\87\130\34\0\129\75\47\131\87\130\34\0\132\1\47\131\87\130\34\0",
	6900, "\126\47\131\90\130\77\0\126\47\131\90\130\35\0\129\75\47\131\90\130\35\0\132\1\47\131\90\130\35\0",
	7000, "\127\48\130\62\0\127\48\130\20\0\129\77\48\130\20\0\132\3\48\130\20\0",
	7100, "\129\3\53\131\76\130\69\0\129\3\53\131\76\130\27\0\129\80\53\131\76\130\27\0\132\6\53\131\76\130\27\0",
	7200, "\129\3\53\131\77\130\70\0\129\3\53\131\77\130\28\0\129\80\53\131\77\130\28\0\132\6\53\131\77\130\28\0",
	7300, "\129\3\53\131\78\130\71\0\129\3\53\131\78\130\29\0\129\80\53\131\78\130\29\0\132\6\53\131\78\130\29\0",
	7400, "\129\3\53\131\81\130\72\0\129\3\53\131\81\130\30\0\129\80\53\131\81\130\30\0\132\6\53\131\81\130\30\0",
	7500, "\129\3\53\131\82\130\73\0\129\3\53\131\82\130\31\0\129\80\53\131\82\130\31\0\132\6\53\131\82\130\31\0",
	7600, "\129\3\53\131\85\130\74\0\129\3\53\131\85\130\32\0\129\80\53\131\85\130\32\0\132\6\53\131\85\130\32\0",
	7700, "\129\3\53\131\86\130\75\0\129\3\53\131\86\130\33\0\129\80\53\131\86\130\33\0\132\6\53\131\86\130\33\0",
	7800, "\129\3\53\131\87\130\76\0\129\3\53\131\87\130\34\0\129\80\53\131\87\130\34\0\132\6\53\131\87\130\34\0",
	7900, "\129\3\53\131\90\130\77\0\129\3\53\131\90\130\35\0\129\80\53\131\90\130\35\0\132\6\53\131\90\130\35\0",
	8000, "\129\4\54\130\64\0\129\4\54\130\22\0\129\82\54\130\22\0\132\8\54\130\22\0",
	8100, "\129\8\59\131\76\130\69\0\129\8\59\131\76\130\27\0\129\85\59\131\76\130\27\0\132\11\59\131\76\130\27\0",
	8200, "\129\8\59\131\77\130\70\0\129\8\59\131\77\130\28\0\129\85\59\131\77\130\28\0\132\11\59\131\77\130\28\0",
	8300, "\129\8\59\131\78\130\71\0\129\8\59\131\78\130\29\0\129\85\59\131\78\130\29\0\132\11\59\131\78\130\29\0",
	8400, "\129\8\59\131\81\130\72\0\129\8\59\131\81\130\30\0\129\85\59\131\81\130\30\0\132\11\59\131\81\130\30\0",
	8500, "\129\8\59\131\82\130\73\0\129\8\59\131\82\130\31\0\129\85\59\131\82\130\31\0\132\11\59\131\82\130\31\0",
	8600, "\129\8\59\131\85\130\74\0\129\8\59\131\85\130\32\0\129\85\59\131\85\130\32\0\132\11\59\131\85\130\32\0",
	8700, "\129\8\59\131\86\130\75\0\129\8\59\131\86\130\33\0\129\85\59\131\86\130\33\0\132\11\59\131\86\130\33\0",
	8800, "\129\8\59\131\87\130\76\0\129\8\59\131\87\130\34\0\129\85\59\131\87\130\34\0\132\11\59\131\87\130\34\0",
	8900, "\129\8\59\131\90\130\77\0\129\8\59\131\90\130\35\0\129\85\59\131\90\130\35\0\132\11\59\131\90\130\35\0",
	9000, "\129\9\60\130\66\0\129\9\60\130\24\0\129\87\60\130\24\0\132\13\60\130\24\0",
	9100, "\129\13\65\131\76\130\69\0\129\13\65\131\76\130\27\0\129\90\65\131\76\130\27\0\132\16\65\131\76\130\27\0",
	9200, "\129\13\65\131\77\130\70\0\129\13\65\131\77\130\28\0\129\90\65\131\77\130\28\0\132\16\65\131\77\130\28\0",
	9300, "\129\13\65\131\78\130\71\0\129\13\65\131\78\130\29\0\129\90\65\131\78\130\29\0\132\16\65\131\78\130\29\0",
	9400, "\129\13\65\131\81\130\72\0\129\13\65\131\81\130\30\0\129\90\65\131\81\130\30\0\132\16\65\131\81\130\30\0",
	9500, "\129\13\65\131\82\130\73\0\129\13\65\131\82\130\31\0\129\90\65\131\82\130\31\0\132\16\65\131\82\130\31\0",
	9600, "\129\13\65\131\85\130\74\0\129\13\65\131\85\130\32\0\129\90\65\131\85\130\32\0\132\16\65\131\85\130\32\0",
	9700, "\129\13\65\131\86\130\75\0\129\13\65\131\86\130\33\0\129\90\65\131\86\130\33\0\132\16\65\131\86\130\33\0",
	9800, "\129\13\65\131\87\130\76\0\129\13\65\131\87\130\34\0\129\90\65\131\87\130\34\0\132\16\65\131\87\130\34\0",
	9900, "\129\13\65\131\90\130\77\0\129\13\65\131\90\130\35\0\129\90\65\131\90\130\35\0\132\16\65\131\90\130\35\0",
	10000, "\88\2\130\37\0\88\2\129\123\0\129\38\2\129\123\0\131\92\2\129\123\0",
	11000, "\92\6\130\39\0\92\6\129\125\0\129\41\6\129\125\0\131\95\6\129\125\0",
	12000, "\93\7\130\40\0\93\7\129\126\0\129\42\7\129\126\0\131\96\7\129\126\0",
	13000, "\94\8\130\41\0\94\8\129\127\0\129\43\8\129\127\0\131\97\8\129\127\0",
	14000, "\95\9\130\42\0\95\9\130\0\0\129\44\9\130\0\0\131\98\9\130\0\0",
	15000, "\96\10\130\43\0\96\10\130\1\0\129\45\10\130\1\0\131\99\10\130\1\0",
	16000, "\97\11\130\44\0\97\11\130\2\0\129\46\11\130\2\0\131\100\11\130\2\0",
	17000, "\98\12\130\45\0\98\12\130\3\0\129\47\12\130\3\0\131\101\12\130\3\0",
	18000, "\99\13\130\46\0\99\13\130\4\0\129\48\13\130\4\0\131\102\13\130\4\0",
	19000, "\100\14\130\47\0\100\14\130\5\0\129\49\14\130\5\0\131\103\14\130\5\0",
	20000, "\103\17\130\49\0\103\17\130\7\0\129\53\17\130\7\0\131\107\17\130\7\0",
	21000, "\87\129\19\20\130\49\0\87\129\19\20\130\7\0\129\37\129\19\20\130\7\0\131\91\129\19\20\130\7\0",
	22000, "\102\129\21\20\130\49\0\102\129\21\20\130\7\0\129\52\129\21\20\130\7\0\131\106\129\21\20\130\7\0",
	23000, "\107\129\23\20\130\49\0\107\129\23\20\130\7\0\129\57\129\23\20\130\7\0\131\111\129\23\20\130\7\0",
	24000, "\112\129\25\20\130\49\0\112\129\25\20\130\7\0\129\62\129\25\20\130\7\0\131\116\129\25\20\130\7\0",
	25000, "\117\129\27\20\130\49\0\117\129\27\20\130\7\0\129\67\129\27\20\130\7\0\131\121\129\27\20\130\7\0",
	26000, "\122\129\29\20\130\49\0\122\129\29\20\130\7\0\129\72\129\29\20\130\7\0\131\126\129\29\20\130\7\0",
	27000, "\127\129\31\20\130\49\0\127\129\31\20\130\7\0\129\77\129\31\20\130\7\0\132\3\129\31\20\130\7\0",
	28000, "\129\4\129\33\20\130\49\0\129\4\129\33\20\130\7\0\129\82\129\33\20\130\7\0\132\8\129\33\20\130\7\0",
	29000, "\129\9\129\35\20\130\49\0\129\9\129\35\20\130\7\0\129\87\129\35\20\130\7\0\132\13\129\35\20\130\7\0",
	30000, "\108\23\130\52\0\108\23\130\10\0\129\58\23\130\10\0\131\112\23\130\10\0",
	31000, "\87\129\19\26\130\52\0\87\129\19\26\130\10\0\129\37\129\19\26\130\10\0\131\91\129\19\26\130\10\0",
	32000, "\102\129\21\26\130\52\0\102\129\21\26\130\10\0\129\52\129\21\26\130\10\0\131\106\129\21\26\130\10\0",
	33000, "\107\129\23\26\130\52\0\107\129\23\26\130\10\0\129\57\129\23\26\130\10\0\131\111\129\23\26\130\10\0",
	34000, "\112\129\25\26\130\52\0\112\129\25\26\130\10\0\129\62\129\25\26\130\10\0\131\116\129\25\26\130\10\0",
	35000, "\117\129\27\26\130\52\0\117\129\27\26\130\10\0\129\67\129\27\26\130\10\0\131\121\129\27\26\130\10\0",
	36000, "\122\129\29\26\130\52\0\122\129\29\26\130\10\0\129\72\129\29\26\130\10\0\131\126\129\29\26\130\10\0",
	37000, "\127\129\31\26\130\52\0\127\129\31\26\130\10\0\129\77\129\31\26\130\10\0\132\3\129\31\26\130\10\0",
	38000, "\129\4\129\33\26\130\52\0\129\4\129\33\26\130\10\0\129\82\129\33\26\130\10\0\132\8\129\33\26\130\10\0",
	39000, "\129\9\129\35\26\130\52\0\129\9\129\35\26\130\10\0\129\87\129\35\26\130\10\0\132\13\129\35\26\130\10\0",
	40000, "\113\31\130\55\0\113\31\130\13\0\129\63\31\130\13\0\131\117\31\130\13\0",
	41000, "\87\129\19\34\130\55\0\87\129\19\34\130\13\0\129\37\129\19\34\130\13\0\131\91\129\19\34\130\13\0",
	42000, "\102\129\21\34\130\55\0\102\129\21\34\130\13\0\129\52\129\21\34\130\13\0\131\106\129\21\34\130\13\0",
	43000, "\107\129\23\34\130\55\0\107\129\23\34\130\13\0\129\57\129\23\34\130\13\0\131\111\129\23\34\130\13\0",
	44000, "\112\129\25\34\130\55\0\112\129\25\34\130\13\0\129\62\129\25\34\130\13\0\131\116\129\25\34\130\13\0",
	45000, "\117\129\27\34\130\55\0\117\129\27\34\130\13\0\129\67\129\27\34\130\13\0\131\121\129\27\34\130\13\0",
	46000, "\122\129\29\34\130\55\0\122\129\29\34\130\13\0\129\72\129\29\34\130\13\0\131\126\129\29\34\130\13\0",
	47000, "\127\129\31\34\130\55\0\127\129\31\34\130\13\0\129\77\129\31\34\130\13\0\132\3\129\31\34\130\13\0",
	48000, "\129\4\129\33\34\130\55\0\129\4\129\33\34\130\13\0\129\82\129\33\34\130\13\0\132\8\129\33\34\130\13\0",
	49000, "\129\9\129\35\34\130\55\0\129\9\129\35\34\130\13\0\129\87\129\35\34\130\13\0\132\13\129\35\34\130\13\0",
	50000, "\118\37\130\58\0\118\37\130\16\0\129\68\37\130\16\0\131\122\37\130\16\0",
	51000, "\87\129\19\40\130\58\0\87\129\19\40\130\16\0\129\37\129\19\40\130\16\0\131\91\129\19\40\130\16\0",
	52000, "\102\129\21\40\130\58\0\102\129\21\40\130\16\0\129\52\129\21\40\130\16\0\131\106\129\21\40\130\16\0",
	53000, "\107\129\23\40\130\58\0\107\129\23\40\130\16\0\129\57\129\23\40\130\16\0\131\111\129\23\40\130\16\0",
	54000, "\112\129\25\40\130\58\0\112\129\25\40\130\16\0\129\62\129\25\40\130\16\0\131\116\129\25\40\130\16\0",
	55000, "\117\129\27\40\130\58\0\117\129\27\40\130\16\0\129\67\129\27\40\130\16\0\131\121\129\27\40\130\16\0",
	56000, "\122\129\29\40\130\58\0\122\129\29\40\130\16\0\129\72\129\29\40\130\16\0\131\126\129\29\40\130\16\0",
	57000, "\127\129\31\40\130\58\0\127\129\31\40\130\16\0\129\77\129\31\40\130\16\0\132\3\129\31\40\130\16\0",
	58000, "\129\4\129\33\40\130\58\0\129\4\129\33\40\130\16\0\129\82\129\33\40\130\16\0\132\8\129\33\40\130\16\0",
	59000, "\129\9\129\35\40\130\58\0\129\9\129\35\40\130\16\0\129\87\129\35\40\130\16\0\132\13\129\35\40\130\16\0",
	60000, "\123\43\130\61\0\123\43\130\19\0\129\73\43\130\19\0\131\127\43\130\19\0",
	61000, "\87\129\19\46\130\61\0\87\129\19\46\130\19\0\129\37\129\19\46\130\19\0\131\91\129\19\46\130\19\0",
	62000, "\102\129\21\46\130\61\0\102\129\21\46\130\19\0\129\52\129\21\46\130\19\0\131\106\129\21\46\130\19\0",
	63000, "\107\129\23\46\130\61\0\107\129\23\46\130\19\0\129\57\129\23\46\130\19\0\131\111\129\23\46\130\19\0",
	64000, "\112\129\25\46\130\61\0\112\129\25\46\130\19\0\129\62\129\25\46\130\19\0\131\116\129\25\46\130\19\0",
	65000, "\117\129\27\46\130\61\0\117\129\27\46\130\19\0\129\67\129\27\46\130\19\0\131\121\129\27\46\130\19\0",
	66000, "\122\129\29\46\130\61\0\122\129\29\46\130\19\0\129\72\129\29\46\130\19\0\131\126\129\29\46\130\19\0",
	67000, "\127\129\31\46\130\61\0\127\129\31\46\130\19\0\129\77\129\31\46\130\19\0\132\3\129\31\46\130\19\0",
	68000, "\129\4\129\33\46\130\61\0\129\4\129\33\46\130\19\0\129\82\129\33\46\130\19\0\132\8\129\33\46\130\19\0",
	69000, "\129\9\129\35\46\130\61\0\129\9\129\35\46\130\19\0\129\87\129\35\46\130\19\0\132\13\129\35\46\130\19\0",
	70000, "\129\0\49\130\63\0\129\0\49\130\21\0\129\78\49\130\21\0\132\4\49\130\21\0",
	71000, "\87\129\19\52\130\63\0\87\129\19\52\130\21\0\129\37\129\19\52\130\21\0\131\91\129\19\52\130\21\0",
	72000, "\102\129\21\52\130\63\0\102\129\21\52\130\21\0\129\52\129\21\52\130\21\0\131\106\129\21\52\130\21\0",
	73000, "\107\129\23\52\130\63\0\107\129\23\52\130\21\0\129\57\129\23\52\130\21\0\131\111\129\23\52\130\21\0",
	74000, "\112\129\25\52\130\63\0\112\129\25\52\130\21\0\129\62\129\25\52\130\21\0\131\116\129\25\52\130\21\0",
	75000, "\117\129\27\52\130\63\0\117\129\27\52\130\21\0\129\67\129\27\52\130\21\0\131\121\129\27\52\130\21\0",
	76000, "\122\129\29\52\130\63\0\122\129\29\52\130\21\0\129\72\129\29\52\130\21\0\131\126\129\29\52\130\21\0",
	77000, "\127\129\31\52\130\63\0\127\129\31\52\130\21\0\129\77\129\31\52\130\21\0\132\3\129\31\52\130\21\0",
	78000, "\129\4\129\33\52\130\63\0\129\4\129\33\52\130\21\0\129\82\129\33\52\130\21\0\132\8\129\33\52\130\21\0",
	79000, "\129\9\129\35\52\130\63\0\129\9\129\35\52\130\21\0\129\87\129\35\52\130\21\0\132\13\129\35\52\130\21\0",
	80000, "\129\5\55\130\65\0\129\5\55\130\23\0\129\83\55\130\23\0\132\9\55\130\23\0",
	81000, "\87\129\19\58\130\65\0\87\129\19\58\130\23\0\129\37\129\19\58\130\23\0\131\91\129\19\58\130\23\0",
	82000, "\102\129\21\58\130\65\0\102\129\21\58\130\23\0\129\52\129\21\58\130\23\0\131\106\129\21\58\130\23\0",
	83000, "\107\129\23\58\130\65\0\107\129\23\58\130\23\0\129\57\129\23\58\130\23\0\131\111\129\23\58\130\23\0",
	84000, "\112\129\25\58\130\65\0\112\129\25\58\130\23\0\129\62\129\25\58\130\23\0\131\116\129\25\58\130\23\0",
	85000, "\117\129\27\58\130\65\0\117\129\27\58\130\23\0\129\67\129\27\58\130\23\0\131\121\129\27\58\130\23\0",
	86000, "\122\129\29\58\130\65\0\122\129\29\58\130\23\0\129\72\129\29\58\130\23\0\131\126\129\29\58\130\23\0",
	87000, "\127\129\31\58\130\65\0\127\129\31\58\130\23\0\129\77\129\31\58\130\23\0\132\3\129\31\58\130\23\0",
	88000, "\129\4\129\33\58\130\65\0\129\4\129\33\58\130\23\0\129\82\129\33\58\130\23\0\132\8\129\33\58\130\23\0",
	89000, "\129\9\129\35\58\130\65\0\129\9\129\35\58\130\23\0\129\87\129\35\58\130\23\0\132\13\129\35\58\130\23\0",
	90000, "\129\10\61\130\67\0\129\10\61\130\25\0\129\88\61\130\25\0\132\14\61\130\25\0",
	91000, "\87\129\19\64\130\67\0\87\129\19\64\130\25\0\129\37\129\19\64\130\25\0\131\91\129\19\64\130\25\0",
	92000, "\102\129\21\64\130\67\0\102\129\21\64\130\25\0\129\52\129\21\64\130\25\0\131\106\129\21\64\130\25\0",
	93000, "\107\129\23\64\130\67\0\107\129\23\64\130\25\0\129\57\129\23\64\130\25\0\131\111\129\23\64\130\25\0",
	94000, "\112\129\25\64\130\67\0\112\129\25\64\130\25\0\129\62\129\25\64\130\25\0\131\116\129\25\64\130\25\0",
	95000, "\117\129\27\64\130\67\0\117\129\27\64\130\25\0\129\67\129\27\64\130\25\0\131\121\129\27\64\130\25\0",
	96000, "\122\129\29\64\130\67\0\122\129\29\64\130\25\0\129\72\129\29\64\130\25\0\131\126\129\29\64\130\25\0",
	97000, "\127\129\31\64\130\67\0\127\129\31\64\130\25\0\129\77\129\31\64\130\25\0\132\3\129\31\64\130\25\0",
	98000, "\129\4\129\33\64\130\67\0\129\4\129\33\64\130\25\0\129\82\129\33\64\130\25\0\132\8\129\33\64\130\25\0",
	99000, "\129\9\129\35\64\130\67\0\129\9\129\35\64\130\25\0\129\87\129\35\64\130\25\0\132\13\129\35\64\130\25\0",
	100000, "\89\3\130\38\0\89\3\129\124\0\129\39\3\129\124\0\76\3\129\124\0",
	110000, "\91\5\129\20\130\78\0\91\5\129\20\130\36\0\129\51\5\129\20\130\36\0\131\105\5\129\20\130\36\0",
	120000, "\91\5\129\22\130\49\0\91\5\129\22\130\7\0\129\51\5\129\22\130\7\0\131\105\5\129\22\130\7\0",
	130000, "\91\5\129\24\130\52\0\91\5\129\24\130\10\0\129\51\5\129\24\130\10\0\131\105\5\129\24\130\10\0",
	140000, "\91\5\129\26\130\55\0\91\5\129\26\130\13\0\129\51\5\129\26\130\13\0\131\105\5\129\26\130\13\0",
	150000, "\91\5\129\28\130\58\0\91\5\129\28\130\16\0\129\51\5\129\28\130\16\0\131\105\5\129\28\130\16\0",
	160000, "\91\5\129\30\130\61\0\91\5\129\30\130\19\0\129\51\5\129\30\130\19\0\131\105\5\129\30\130\19\0",
	170000, "\91\5\129\32\130\63\0\91\5\129\32\130\21\0\129\51\5\129\32\130\21\0\131\105\5\129\32\130\21\0",
	180000, "\91\5\129\34\130\65\0\91\5\129\34\130\23\0\129\51\5\129\34\130\23\0\131\105\5\129\34\130\23\0",
	190000, "\91\5\129\36\130\67\0\91\5\129\36\130\25\0\129\51\5\129\36\130\25\0\131\105\5\129\36\130\25\0",
	200000, "\104\18\130\50\0\104\18\130\8\0\129\54\18\130\8\0\77\18\130\8\0",
	210000, "\105\19\129\20\130\78\0\105\19\129\20\130\36\0\129\56\19\129\20\130\36\0\131\110\19\129\20\130\36\0",
	220000, "\105\19\129\22\130\49\0\105\19\129\22\130\7\0\129\56\19\129\22\130\7\0\131\110\19\129\22\130\7\0",
	230000, "\105\19\129\24\130\52\0\105\19\129\24\130\10\0\129\56\19\129\24\130\10\0\131\110\19\129\24\130\10\0",
	240000, "\105\19\129\26\130\55\0\105\19\129\26\130\13\0\129\56\19\129\26\130\13\0\131\110\19\129\26\130\13\0",
	250000, "\105\19\129\28\130\58\0\105\19\129\28\130\16\0\129\56\19\129\28\130\16\0\131\110\19\129\28\130\16\0",
	260000, "\105\19\129\30\130\61\0\105\19\129\30\130\19\0\129\56\19\129\30\130\19\0\131\110\19\129\30\130\19\0",
	270000, "\105\19\129\32\130\63\0\105\19\129\32\130\21\0\129\56\19\129\32\130\21\0\131\110\19\129\32\130\21\0",
	280000, "\105\19\129\34\130\65\0\105\19\129\34\130\23\0\129\56\19\129\34\130\23\0\131\110\19\129\34\130\23\0",
	290000, "\105\19\129\36\130\67\0\105\19\129\36\130\25\0\129\56\19\129\36\130\25\0\131\110\19\129\36\130\25\0",
	300000, "\109\24\130\53\0\109\24\130\11\0\129\59\24\130\11\0\78\24\130\11\0",
	310000, "\110\25\129\20\130\78\0\110\25\129\20\130\36\0\129\61\25\129\20\130\36\0\131\115\25\129\20\130\36\0",
	320000, "\110\25\129\22\130\49\0\110\25\129\22\130\7\0\129\61\25\129\22\130\7\0\131\115\25\129\22\130\7\0",
	330000, "\110\25\129\24\130\52\0\110\25\129\24\130\10\0\129\61\25\129\24\130\10\0\131\115\25\129\24\130\10\0",
	340000, "\110\25\129\26\130\55\0\110\25\129\26\130\13\0\129\61\25\129\26\130\13\0\131\115\25\129\26\130\13\0",
	350000, "\110\25\129\28\130\58\0\110\25\129\28\130\16\0\129\61\25\129\28\130\16\0\131\115\25\129\28\130\16\0",
	360000, "\110\25\129\30\130\61\0\110\25\129\30\130\19\0\129\61\25\129\30\130\19\0\131\115\25\129\30\130\19\0",
	370000, "\110\25\129\32\130\63\0\110\25\129\32\130\21\0\129\61\25\129\32\130\21\0\131\115\25\129\32\130\21\0",
	380000, "\110\25\129\34\130\65\0\110\25\129\34\130\23\0\129\61\25\129\34\130\23\0\131\115\25\129\34\130\23\0",
	390000, "\110\25\129\36\130\67\0\110\25\129\36\130\25\0\129\61\25\129\36\130\25\0\131\115\25\129\36\130\25\0",
	400000, "\114\32\130\56\0\114\32\130\14\0\129\64\32\130\14\0\79\32\130\14\0",
	410000, "\115\33\129\20\130\78\0\115\33\129\20\130\36\0\129\66\33\129\20\130\36\0\131\120\33\129\20\130\36\0",
	420000, "\115\33\129\22\130\49\0\115\33\129\22\130\7\0\129\66\33\129\22\130\7\0\131\120\33\129\22\130\7\0",
	430000, "\115\33\129\24\130\52\0\115\33\129\24\130\10\0\129\66\33\129\24\130\10\0\131\120\33\129\24\130\10\0",
	440000, "\115\33\129\26\130\55\0\115\33\129\26\130\13\0\129\66\33\129\26\130\13\0\131\120\33\129\26\130\13\0",
	450000, "\115\33\129\28\130\58\0\115\33\129\28\130\16\0\129\66\33\129\28\130\16\0\131\120\33\129\28\130\16\0",
	460000, "\115\33\129\30\130\61\0\115\33\129\30\130\19\0\129\66\33\129\30\130\19\0\131\120\33\129\30\130\19\0",
	470000, "\115\33\129\32\130\63\0\115\33\129\32\130\21\0\129\66\33\129\32\130\21\0\131\120\33\129\32\130\21\0",
	480000, "\115\33\129\34\130\65\0\115\33\129\34\130\23\0\129\66\33\129\34\130\23\0\131\120\33\129\34\130\23\0",
	490000, "\115\33\129\36\130\67\0\115\33\129\36\130\25\0\129\66\33\129\36\130\25\0\131\120\33\129\36\130\25\0",
	500000, "\119\38\130\59\0\119\38\130\17\0\129\69\38\130\17\0\131\123\38\130\17\0",
	510000, "\129\17\131\75\130\68\0\129\17\131\75\130\26\0\75\131\75\130\26\0\131\75\130\26\0",
}

distances.feet = {
	15, "\118\37\129\113\0\118\37\129\102\0\129\68\37\129\102\0\131\122\37\129\102\0",
	30, "\89\3\129\108\0\89\3\129\97\0\129\39\3\129\97\0\131\93\3\129\97\0",
	46, "\91\5\129\28\129\113\0\91\5\129\28\129\102\0\129\51\5\129\28\129\102\0\131\105\5\129\28\129\102\0",
	61, "\104\18\129\110\0\104\18\129\99\0\129\54\18\129\99\0\131\108\18\129\99\0",
	91, "\109\24\129\111\0\109\24\129\100\0\129\59\24\129\100\0\131\113\24\129\100\0",
	122, "\114\32\129\112\0\114\32\129\101\0\129\64\32\129\101\0\131\118\32\129\101\0",
	152, "\119\38\129\114\0\119\38\129\103\0\129\69\38\129\103\0\131\123\38\129\103\0",
	183, "\124\44\129\115\0\124\44\129\104\0\129\74\44\129\104\0\132\0\44\129\104\0",
	213, "\129\1\50\129\116\0\129\1\50\129\105\0\129\79\50\129\105\0\132\5\50\129\105\0",
	244, "\129\6\56\129\117\0\129\6\56\129\106\0\129\84\56\129\106\0\132\10\56\129\106\0",
	274, "\129\11\62\129\118\0\129\11\62\129\107\0\129\89\62\129\107\0\132\15\62\129\107\0",
	305, "\90\4\129\109\0\90\4\129\98\0\129\40\4\129\98\0\131\94\4\129\98\0",
	402, "\129\15\86\0\129\15\85\0\129\93\85\0\132\19\85\0",
	644, "\129\18\131\80\0\129\18\131\79\0\129\96\131\79\0\132\21\131\79\0",
	805, "\129\16\129\120\0\129\16\129\119\0\129\94\129\119\0\132\20\129\119\0",
	966, "\129\18\131\84\0\129\18\131\83\0\129\96\131\83\0\132\21\131\83\0",
	1127, "\129\14\29\0\129\14\28\0\129\92\28\0\132\18\28\0",
	1448, "\129\18\131\89\0\129\18\131\88\0\129\96\131\88\0\132\21\131\88\0",
	1609, "\87\1\130\118\0\87\1\130\117\0\129\37\1\130\117\0\131\91\1\130\117\0",
	1770, "\101\15\131\76\131\65\0\101\15\131\76\131\23\0\129\50\15\131\76\131\23\0\131\104\15\131\76\131\23\0",
	1931, "\101\15\131\77\131\66\0\101\15\131\77\131\24\0\129\50\15\131\77\131\24\0\131\104\15\131\77\131\24\0",
	2092, "\101\15\131\78\131\67\0\101\15\131\78\131\25\0\129\50\15\131\78\131\25\0\131\104\15\131\78\131\25\0",
	2253, "\101\15\131\81\131\68\0\101\15\131\81\131\26\0\129\50\15\131\81\131\26\0\131\104\15\131\81\131\26\0",
	2414, "\101\15\131\82\131\69\0\101\15\131\82\131\27\0\129\50\15\131\82\131\27\0\131\104\15\131\82\131\27\0",
	2575, "\101\15\131\85\131\70\0\101\15\131\85\131\28\0\129\50\15\131\85\131\28\0\131\104\15\131\85\131\28\0",
	2736, "\101\15\131\86\131\71\0\101\15\131\86\131\29\0\129\50\15\131\86\131\29\0\131\104\15\131\86\131\29\0",
	2897, "\101\15\131\87\131\72\0\101\15\131\87\131\30\0\129\50\15\131\87\131\30\0\131\104\15\131\87\131\30\0",
	3058, "\101\15\131\90\131\73\0\101\15\131\90\131\31\0\129\50\15\131\90\131\31\0\131\104\15\131\90\131\31\0",
	3219, "\102\16\131\44\0\102\16\131\2\0\129\52\16\131\2\0\131\106\16\131\2\0",
	3380, "\106\21\131\76\131\65\0\106\21\131\76\131\23\0\129\55\21\131\76\131\23\0\131\109\21\131\76\131\23\0",
	3541, "\106\21\131\77\131\66\0\106\21\131\77\131\24\0\129\55\21\131\77\131\24\0\131\109\21\131\77\131\24\0",
	3701, "\106\21\131\78\131\67\0\106\21\131\78\131\25\0\129\55\21\131\78\131\25\0\131\109\21\131\78\131\25\0",
	3862, "\106\21\131\81\131\68\0\106\21\131\81\131\26\0\129\55\21\131\81\131\26\0\131\109\21\131\81\131\26\0",
	4023, "\106\21\131\82\131\69\0\106\21\131\82\131\27\0\129\55\21\131\82\131\27\0\131\109\21\131\82\131\27\0",
	4184, "\106\21\131\85\131\70\0\106\21\131\85\131\28\0\129\55\21\131\85\131\28\0\131\109\21\131\85\131\28\0",
	4345, "\106\21\131\86\131\71\0\106\21\131\86\131\29\0\129\55\21\131\86\131\29\0\131\109\21\131\86\131\29\0",
	4506, "\106\21\131\87\131\72\0\106\21\131\87\131\30\0\129\55\21\131\87\131\30\0\131\109\21\131\87\131\30\0",
	4667, "\106\21\131\90\131\73\0\106\21\131\90\131\31\0\129\55\21\131\90\131\31\0\131\109\21\131\90\131\31\0",
	4828, "\107\22\131\47\0\107\22\131\5\0\129\57\22\131\5\0\131\111\22\131\5\0",
	4989, "\111\27\131\76\131\65\0\111\27\131\76\131\23\0\129\60\27\131\76\131\23\0\131\114\27\131\76\131\23\0",
	5150, "\111\27\131\77\131\66\0\111\27\131\77\131\24\0\129\60\27\131\77\131\24\0\131\114\27\131\77\131\24\0",
	5311, "\111\27\131\78\131\67\0\111\27\131\78\131\25\0\129\60\27\131\78\131\25\0\131\114\27\131\78\131\25\0",
	5472, "\111\27\131\81\131\68\0\111\27\131\81\131\26\0\129\60\27\131\81\131\26\0\131\114\27\131\81\131\26\0",
	5633, "\111\27\131\82\131\69\0\111\27\131\82\131\27\0\129\60\27\131\82\131\27\0\131\114\27\131\82\131\27\0",
	5794, "\111\27\131\85\131\70\0\111\27\131\85\131\28\0\129\60\27\131\85\131\28\0\131\114\27\131\85\131\28\0",
	5955, "\111\27\131\86\131\71\0\111\27\131\86\131\29\0\129\60\27\131\86\131\29\0\131\114\27\131\86\131\29\0",
	6116, "\111\27\131\87\131\72\0\111\27\131\87\131\30\0\129\60\27\131\87\131\30\0\131\114\27\131\87\131\30\0",
	6276, "\111\27\131\90\131\73\0\111\27\131\90\131\31\0\129\60\27\131\90\131\31\0\131\114\27\131\90\131\31\0",
	6437, "\112\30\131\50\0\112\30\131\8\0\129\62\30\131\8\0\131\116\30\131\8\0",
	6598, "\116\35\131\76\131\65\0\116\35\131\76\131\23\0\129\65\35\131\76\131\23\0\131\119\35\131\76\131\23\0",
	6759, "\116\35\131\77\131\66\0\116\35\131\77\131\24\0\129\65\35\131\77\131\24\0\131\119\35\131\77\131\24\0",
	6920, "\116\35\131\78\131\67\0\116\35\131\78\131\25\0\129\65\35\131\78\131\25\0\131\119\35\131\78\131\25\0",
	7081, "\116\35\131\81\131\68\0\116\35\131\81\131\26\0\129\65\35\131\81\131\26\0\131\119\35\131\81\131\26\0",
	7242, "\116\35\131\82\131\69\0\116\35\131\82\131\27\0\129\65\35\131\82\131\27\0\131\119\35\131\82\131\27\0",
	7403, "\116\35\131\85\131\70\0\116\35\131\85\131\28\0\129\65\35\131\85\131\28\0\131\119\35\131\85\131\28\0",
	7564, "\116\35\131\86\131\71\0\116\35\131\86\131\29\0\129\65\35\131\86\131\29\0\131\119\35\131\86\131\29\0",
	7725, "\116\35\131\87\131\72\0\116\35\131\87\131\30\0\129\65\35\131\87\131\30\0\131\119\35\131\87\131\30\0",
	7886, "\116\35\131\90\131\73\0\116\35\131\90\131\31\0\129\65\35\131\90\131\31\0\131\119\35\131\90\131\31\0",
	8047, "\117\36\131\53\0\117\36\131\11\0\129\67\36\131\11\0\131\121\36\131\11\0",
	8208, "\121\41\131\76\131\65\0\121\41\131\76\131\23\0\129\70\41\131\76\131\23\0\131\124\41\131\76\131\23\0",
	8369, "\121\41\131\77\131\66\0\121\41\131\77\131\24\0\129\70\41\131\77\131\24\0\131\124\41\131\77\131\24\0",
	8530, "\121\41\131\78\131\67\0\121\41\131\78\131\25\0\129\70\41\131\78\131\25\0\131\124\41\131\78\131\25\0",
	8690, "\121\41\131\81\131\68\0\121\41\131\81\131\26\0\129\70\41\131\81\131\26\0\131\124\41\131\81\131\26\0",
	8851, "\121\41\131\82\131\69\0\121\41\131\82\131\27\0\129\70\41\131\82\131\27\0\131\124\41\131\82\131\27\0",
	9012, "\121\41\131\85\131\70\0\121\41\131\85\131\28\0\129\70\41\131\85\131\28\0\131\124\41\131\85\131\28\0",
	9173, "\121\41\131\86\131\71\0\121\41\131\86\131\29\0\129\70\41\131\86\131\29\0\131\124\41\131\86\131\29\0",
	9334, "\121\41\131\87\131\72\0\121\41\131\87\131\30\0\129\70\41\131\87\131\30\0\131\124\41\131\87\131\30\0",
	9495, "\121\41\131\90\131\73\0\121\41\131\90\131\31\0\129\70\41\131\90\131\31\0\131\124\41\131\90\131\31\0",
	9656, "\122\42\131\56\0\122\42\131\14\0\129\72\42\131\14\0\131\126\42\131\14\0",
	9817, "\126\47\131\76\131\65\0\126\47\131\76\131\23\0\129\75\47\131\76\131\23\0\132\1\47\131\76\131\23\0",
	9978, "\126\47\131\77\131\66\0\126\47\131\77\131\24\0\129\75\47\131\77\131\24\0\132\1\47\131\77\131\24\0",
	10139, "\126\47\131\78\131\67\0\126\47\131\78\131\25\0\129\75\47\131\78\131\25\0\132\1\47\131\78\131\25\0",
	10300, "\126\47\131\81\131\68\0\126\47\131\81\131\26\0\129\75\47\131\81\131\26\0\132\1\47\131\81\131\26\0",
	10461, "\126\47\131\82\131\69\0\126\47\131\82\131\27\0\129\75\47\131\82\131\27\0\132\1\47\131\82\131\27\0",
	10622, "\126\47\131\85\131\70\0\126\47\131\85\131\28\0\129\75\47\131\85\131\28\0\132\1\47\131\85\131\28\0",
	10783, "\126\47\131\86\131\71\0\126\47\131\86\131\29\0\129\75\47\131\86\131\29\0\132\1\47\131\86\131\29\0",
	10944, "\126\47\131\87\131\72\0\126\47\131\87\131\30\0\129\75\47\131\87\131\30\0\132\1\47\131\87\131\30\0",
	11104, "\126\47\131\90\131\73\0\126\47\131\90\131\31\0\129\75\47\131\90\131\31\0\132\1\47\131\90\131\31\0",
	11265, "\127\48\131\58\0\127\48\131\16\0\129\77\48\131\16\0\132\3\48\131\16\0",
	11426, "\129\3\53\131\76\131\65\0\129\3\53\131\76\131\23\0\129\80\53\131\76\131\23\0\132\6\53\131\76\131\23\0",
	11587, "\129\3\53\131\77\131\66\0\129\3\53\131\77\131\24\0\129\80\53\131\77\131\24\0\132\6\53\131\77\131\24\0",
	11748, "\129\3\53\131\78\131\67\0\129\3\53\131\78\131\25\0\129\80\53\131\78\131\25\0\132\6\53\131\78\131\25\0",
	11909, "\129\3\53\131\81\131\68\0\129\3\53\131\81\131\26\0\129\80\53\131\81\131\26\0\132\6\53\131\81\131\26\0",
	12070, "\129\3\53\131\82\131\69\0\129\3\53\131\82\131\27\0\129\80\53\131\82\131\27\0\132\6\53\131\82\131\27\0",
	12231, "\129\3\53\131\85\131\70\0\129\3\53\131\85\131\28\0\129\80\53\131\85\131\28\0\132\6\53\131\85\131\28\0",
	12392, "\129\3\53\131\86\131\71\0\129\3\53\131\86\131\29\0\129\80\53\131\86\131\29\0\132\6\53\131\86\131\29\0",
	12553, "\129\3\53\131\87\131\72\0\129\3\53\131\87\131\30\0\129\80\53\131\87\131\30\0\132\6\53\131\87\131\30\0",
	12714, "\129\3\53\131\90\131\73\0\129\3\53\131\90\131\31\0\129\80\53\131\90\131\31\0\132\6\53\131\90\131\31\0",
	12875, "\129\4\54\131\60\0\129\4\54\131\18\0\129\82\54\131\18\0\132\8\54\131\18\0",
	13036, "\129\8\59\131\76\131\65\0\129\8\59\131\76\131\23\0\129\85\59\131\76\131\23\0\132\11\59\131\76\131\23\0",
	13197, "\129\8\59\131\77\131\66\0\129\8\59\131\77\131\24\0\129\85\59\131\77\131\24\0\132\11\59\131\77\131\24\0",
	13358, "\129\8\59\131\78\131\67\0\129\8\59\131\78\131\25\0\129\85\59\131\78\131\25\0\132\11\59\131\78\131\25\0",
	13518, "\129\8\59\131\81\131\68\0\129\8\59\131\81\131\26\0\129\85\59\131\81\131\26\0\132\11\59\131\81\131\26\0",
	13679, "\129\8\59\131\82\131\69\0\129\8\59\131\82\131\27\0\129\85\59\131\82\131\27\0\132\11\59\131\82\131\27\0",
	13840, "\129\8\59\131\85\131\70\0\129\8\59\131\85\131\28\0\129\85\59\131\85\131\28\0\132\11\59\131\85\131\28\0",
	14001, "\129\8\59\131\86\131\71\0\129\8\59\131\86\131\29\0\129\85\59\131\86\131\29\0\132\11\59\131\86\131\29\0",
	14162, "\129\8\59\131\87\131\72\0\129\8\59\131\87\131\30\0\129\85\59\131\87\131\30\0\132\11\59\131\87\131\30\0",
	14323, "\129\8\59\131\90\131\73\0\129\8\59\131\90\131\31\0\129\85\59\131\90\131\31\0\132\11\59\131\90\131\31\0",
	14484, "\129\9\60\131\62\0\129\9\60\131\20\0\129\87\60\131\20\0\132\13\60\131\20\0",
	14645, "\129\13\65\131\76\131\65\0\129\13\65\131\76\131\23\0\129\90\65\131\76\131\23\0\132\16\65\131\76\131\23\0",
	14806, "\129\13\65\131\77\131\66\0\129\13\65\131\77\131\24\0\129\90\65\131\77\131\24\0\132\16\65\131\77\131\24\0",
	14967, "\129\13\65\131\78\131\67\0\129\13\65\131\78\131\25\0\129\90\65\131\78\131\25\0\132\16\65\131\78\131\25\0",
	15128, "\129\13\65\131\81\131\68\0\129\13\65\131\81\131\26\0\129\90\65\131\81\131\26\0\132\16\65\131\81\131\26\0",
	15289, "\129\13\65\131\82\131\69\0\129\13\65\131\82\131\27\0\129\90\65\131\82\131\27\0\132\16\65\131\82\131\27\0",
	15450, "\129\13\65\131\85\131\70\0\129\13\65\131\85\131\28\0\129\90\65\131\85\131\28\0\132\16\65\131\85\131\28\0",
	15611, "\129\13\65\131\86\131\71\0\129\13\65\131\86\131\29\0\129\90\65\131\86\131\29\0\132\16\65\131\86\131\29\0",
	15772, "\129\13\65\131\87\131\72\0\129\13\65\131\87\131\30\0\129\90\65\131\87\131\30\0\132\16\65\131\87\131\30\0",
	15933, "\129\13\65\131\90\131\73\0\129\13\65\131\90\131\31\0\129\90\65\131\90\131\31\0\132\16\65\131\90\131\31\0",
	16093, "\88\2\131\33\0\88\2\130\119\0\129\38\2\130\119\0\131\92\2\130\119\0",
	17703, "\92\6\131\35\0\92\6\130\121\0\129\41\6\130\121\0\131\95\6\130\121\0",
	19312, "\93\7\131\36\0\93\7\130\122\0\129\42\7\130\122\0\131\96\7\130\122\0",
	20921, "\94\8\131\37\0\94\8\130\123\0\129\43\8\130\123\0\131\97\8\130\123\0",
	22531, "\95\9\131\38\0\95\9\130\124\0\129\44\9\130\124\0\131\98\9\130\124\0",
	24140, "\96\10\131\39\0\96\10\130\125\0\129\45\10\130\125\0\131\99\10\130\125\0",
	25750, "\97\11\131\40\0\97\11\130\126\0\129\46\11\130\126\0\131\100\11\130\126\0",
	27359, "\98\12\131\41\0\98\12\130\127\0\129\47\12\130\127\0\131\101\12\130\127\0",
	28968, "\99\13\131\42\0\99\13\131\0\0\129\48\13\131\0\0\131\102\13\131\0\0",
	30578, "\100\14\131\43\0\100\14\131\1\0\129\49\14\131\1\0\131\103\14\131\1\0",
	32187, "\103\17\131\45\0\103\17\131\3\0\129\53\17\131\3\0\131\107\17\131\3\0",
	33796, "\87\129\19\20\131\45\0\87\129\19\20\131\3\0\129\37\129\19\20\131\3\0\131\91\129\19\20\131\3\0",
	35406, "\102\129\21\20\131\45\0\102\129\21\20\131\3\0\129\52\129\21\20\131\3\0\131\106\129\21\20\131\3\0",
	37015, "\107\129\23\20\131\45\0\107\129\23\20\131\3\0\129\57\129\23\20\131\3\0\131\111\129\23\20\131\3\0",
	38624, "\112\129\25\20\131\45\0\112\129\25\20\131\3\0\129\62\129\25\20\131\3\0\131\116\129\25\20\131\3\0",
	40234, "\117\129\27\20\131\45\0\117\129\27\20\131\3\0\129\67\129\27\20\131\3\0\131\121\129\27\20\131\3\0",
	41843, "\122\129\29\20\131\45\0\122\129\29\20\131\3\0\129\72\129\29\20\131\3\0\131\126\129\29\20\131\3\0",
	43452, "\127\129\31\20\131\45\0\127\129\31\20\131\3\0\129\77\129\31\20\131\3\0\132\3\129\31\20\131\3\0",
	45062, "\129\4\129\33\20\131\45\0\129\4\129\33\20\131\3\0\129\82\129\33\20\131\3\0\132\8\129\33\20\131\3\0",
	46671, "\129\9\129\35\20\131\45\0\129\9\129\35\20\131\3\0\129\87\129\35\20\131\3\0\132\13\129\35\20\131\3\0",
	48280, "\108\23\131\48\0\108\23\131\6\0\129\58\23\131\6\0\131\112\23\131\6\0",
	49890, "\87\129\19\26\131\48\0\87\129\19\26\131\6\0\129\37\129\19\26\131\6\0\131\91\129\19\26\131\6\0",
	51499, "\102\129\21\26\131\48\0\102\129\21\26\131\6\0\129\52\129\21\26\131\6\0\131\106\129\21\26\131\6\0",
	53108, "\107\129\23\26\131\48\0\107\129\23\26\131\6\0\129\57\129\23\26\131\6\0\131\111\129\23\26\131\6\0",
	54718, "\112\129\25\26\131\48\0\112\129\25\26\131\6\0\129\62\129\25\26\131\6\0\131\116\129\25\26\131\6\0",
	56327, "\117\129\27\26\131\48\0\117\129\27\26\131\6\0\129\67\129\27\26\131\6\0\131\121\129\27\26\131\6\0",
	57936, "\122\129\29\26\131\48\0\122\129\29\26\131\6\0\129\72\129\29\26\131\6\0\131\126\129\29\26\131\6\0",
	59546, "\127\129\31\26\131\48\0\127\129\31\26\131\6\0\129\77\129\31\26\131\6\0\132\3\129\31\26\131\6\0",
	61155, "\129\4\129\33\26\131\48\0\129\4\129\33\26\131\6\0\129\82\129\33\26\131\6\0\132\8\129\33\26\131\6\0",
	62764, "\129\9\129\35\26\131\48\0\129\9\129\35\26\131\6\0\129\87\129\35\26\131\6\0\132\13\129\35\26\131\6\0",
	64374, "\113\31\131\51\0\113\31\131\9\0\129\63\31\131\9\0\131\117\31\131\9\0",
	65983, "\87\129\19\34\131\51\0\87\129\19\34\131\9\0\129\37\129\19\34\131\9\0\131\91\129\19\34\131\9\0",
	67592, "\102\129\21\34\131\51\0\102\129\21\34\131\9\0\129\52\129\21\34\131\9\0\131\106\129\21\34\131\9\0",
	69202, "\107\129\23\34\131\51\0\107\129\23\34\131\9\0\129\57\129\23\34\131\9\0\131\111\129\23\34\131\9\0",
	70811, "\112\129\25\34\131\51\0\112\129\25\34\131\9\0\129\62\129\25\34\131\9\0\131\116\129\25\34\131\9\0",
	72420, "\117\129\27\34\131\51\0\117\129\27\34\131\9\0\129\67\129\27\34\131\9\0\131\121\129\27\34\131\9\0",
	74030, "\122\129\29\34\131\51\0\122\129\29\34\131\9\0\129\72\129\29\34\131\9\0\131\126\129\29\34\131\9\0",
	75639, "\127\129\31\34\131\51\0\127\129\31\34\131\9\0\129\77\129\31\34\131\9\0\132\3\129\31\34\131\9\0",
	77249, "\129\4\129\33\34\131\51\0\129\4\129\33\34\131\9\0\129\82\129\33\34\131\9\0\132\8\129\33\34\131\9\0",
	78858, "\129\9\129\35\34\131\51\0\129\9\129\35\34\131\9\0\129\87\129\35\34\131\9\0\132\13\129\35\34\131\9\0",
	80467, "\118\37\131\54\0\118\37\131\12\0\129\68\37\131\12\0\131\122\37\131\12\0",
	82077, "\87\129\19\40\131\54\0\87\129\19\40\131\12\0\129\37\129\19\40\131\12\0\131\91\129\19\40\131\12\0",
	83686, "\102\129\21\40\131\54\0\102\129\21\40\131\12\0\129\52\129\21\40\131\12\0\131\106\129\21\40\131\12\0",
	85295, "\107\129\23\40\131\54\0\107\129\23\40\131\12\0\129\57\129\23\40\131\12\0\131\111\129\23\40\131\12\0",
	86905, "\112\129\25\40\131\54\0\112\129\25\40\131\12\0\129\62\129\25\40\131\12\0\131\116\129\25\40\131\12\0",
	88514, "\117\129\27\40\131\54\0\117\129\27\40\131\12\0\129\67\129\27\40\131\12\0\131\121\129\27\40\131\12\0",
	90123, "\122\129\29\40\131\54\0\122\129\29\40\131\12\0\129\72\129\29\40\131\12\0\131\126\129\29\40\131\12\0",
	91733, "\127\129\31\40\131\54\0\127\129\31\40\131\12\0\129\77\129\31\40\131\12\0\132\3\129\31\40\131\12\0",
	93342, "\129\4\129\33\40\131\54\0\129\4\129\33\40\131\12\0\129\82\129\33\40\131\12\0\132\8\129\33\40\131\12\0",
	94951, "\129\9\129\35\40\131\54\0\129\9\129\35\40\131\12\0\129\87\129\35\40\131\12\0\132\13\129\35\40\131\12\0",
	96561, "\123\43\131\57\0\123\43\131\15\0\129\73\43\131\15\0\131\127\43\131\15\0",
	98170, "\87\129\19\46\131\57\0\87\129\19\46\131\15\0\129\37\129\19\46\131\15\0\131\91\129\19\46\131\15\0",
	99779, "\102\129\21\46\131\57\0\102\129\21\46\131\15\0\129\52\129\21\46\131\15\0\131\106\129\21\46\131\15\0",
	101389, "\107\129\23\46\131\57\0\107\129\23\46\131\15\0\129\57\129\23\46\131\15\0\131\111\129\23\46\131\15\0",
	102998, "\112\129\25\46\131\57\0\112\129\25\46\131\15\0\129\62\129\25\46\131\15\0\131\116\129\25\46\131\15\0",
	104607, "\117\129\27\46\131\57\0\117\129\27\46\131\15\0\129\67\129\27\46\131\15\0\131\121\129\27\46\131\15\0",
	106217, "\122\129\29\46\131\57\0\122\129\29\46\131\15\0\129\72\129\29\46\131\15\0\131\126\129\29\46\131\15\0",
	107826, "\127\129\31\46\131\57\0\127\129\31\46\131\15\0\129\77\129\31\46\131\15\0\132\3\129\31\46\131\15\0",
	109435, "\129\4\129\33\46\131\57\0\129\4\129\33\46\131\15\0\129\82\129\33\46\131\15\0\132\8\129\33\46\131\15\0",
	111045, "\129\9\129\35\46\131\57\0\129\9\129\35\46\131\15\0\129\87\129\35\46\131\15\0\132\13\129\35\46\131\15\0",
	112654, "\129\0\49\131\59\0\129\0\49\131\17\0\129\78\49\131\17\0\132\4\49\131\17\0",
	114263, "\87\129\19\52\131\59\0\87\129\19\52\131\17\0\129\37\129\19\52\131\17\0\131\91\129\19\52\131\17\0",
	115873, "\102\129\21\52\131\59\0\102\129\21\52\131\17\0\129\52\129\21\52\131\17\0\131\106\129\21\52\131\17\0",
	117482, "\107\129\23\52\131\59\0\107\129\23\52\131\17\0\129\57\129\23\52\131\17\0\131\111\129\23\52\131\17\0",
	119091, "\112\129\25\52\131\59\0\112\129\25\52\131\17\0\129\62\129\25\52\131\17\0\131\116\129\25\52\131\17\0",
	120701, "\117\129\27\52\131\59\0\117\129\27\52\131\17\0\129\67\129\27\52\131\17\0\131\121\129\27\52\131\17\0",
	122310, "\122\129\29\52\131\59\0\122\129\29\52\131\17\0\129\72\129\29\52\131\17\0\131\126\129\29\52\131\17\0",
	123919, "\127\129\31\52\131\59\0\127\129\31\52\131\17\0\129\77\129\31\52\131\17\0\132\3\129\31\52\131\17\0",
	125529, "\129\4\129\33\52\131\59\0\129\4\129\33\52\131\17\0\129\82\129\33\52\131\17\0\132\8\129\33\52\131\17\0",
	127138, "\129\9\129\35\52\131\59\0\129\9\129\35\52\131\17\0\129\87\129\35\52\131\17\0\132\13\129\35\52\131\17\0",
	128748, "\129\5\55\131\61\0\129\5\55\131\19\0\129\83\55\131\19\0\132\9\55\131\19\0",
	130357, "\87\129\19\58\131\61\0\87\129\19\58\131\19\0\129\37\129\19\58\131\19\0\131\91\129\19\58\131\19\0",
	131966, "\102\129\21\58\131\61\0\102\129\21\58\131\19\0\129\52\129\21\58\131\19\0\131\106\129\21\58\131\19\0",
	133576, "\107\129\23\58\131\61\0\107\129\23\58\131\19\0\129\57\129\23\58\131\19\0\131\111\129\23\58\131\19\0",
	135185, "\112\129\25\58\131\61\0\112\129\25\58\131\19\0\129\62\129\25\58\131\19\0\131\116\129\25\58\131\19\0",
	136794, "\117\129\27\58\131\61\0\117\129\27\58\131\19\0\129\67\129\27\58\131\19\0\131\121\129\27\58\131\19\0",
	138404, "\122\129\29\58\131\61\0\122\129\29\58\131\19\0\129\72\129\29\58\131\19\0\131\126\129\29\58\131\19\0",
	140013, "\127\129\31\58\131\61\0\127\129\31\58\131\19\0\129\77\129\31\58\131\19\0\132\3\129\31\58\131\19\0",
	141622, "\129\4\129\33\58\131\61\0\129\4\129\33\58\131\19\0\129\82\129\33\58\131\19\0\132\8\129\33\58\131\19\0",
	143232, "\129\9\129\35\58\131\61\0\129\9\129\35\58\131\19\0\129\87\129\35\58\131\19\0\132\13\129\35\58\131\19\0",
	144841, "\129\10\61\131\63\0\129\10\61\131\21\0\129\88\61\131\21\0\132\14\61\131\21\0",
	146450, "\87\129\19\64\131\63\0\87\129\19\64\131\21\0\129\37\129\19\64\131\21\0\131\91\129\19\64\131\21\0",
	148060, "\102\129\21\64\131\63\0\102\129\21\64\131\21\0\129\52\129\21\64\131\21\0\131\106\129\21\64\131\21\0",
	149669, "\107\129\23\64\131\63\0\107\129\23\64\131\21\0\129\57\129\23\64\131\21\0\131\111\129\23\64\131\21\0",
	151278, "\112\129\25\64\131\63\0\112\129\25\64\131\21\0\129\62\129\25\64\131\21\0\131\116\129\25\64\131\21\0",
	152888, "\117\129\27\64\131\63\0\117\129\27\64\131\21\0\129\67\129\27\64\131\21\0\131\121\129\27\64\131\21\0",
	154497, "\122\129\29\64\131\63\0\122\129\29\64\131\21\0\129\72\129\29\64\131\21\0\131\126\129\29\64\131\21\0",
	156106, "\127\129\31\64\131\63\0\127\129\31\64\131\21\0\129\77\129\31\64\131\21\0\132\3\129\31\64\131\21\0",
	157716, "\129\4\129\33\64\131\63\0\129\4\129\33\64\131\21\0\129\82\129\33\64\131\21\0\132\8\129\33\64\131\21\0",
	159325, "\129\9\129\35\64\131\63\0\129\9\129\35\64\131\21\0\129\87\129\35\64\131\21\0\132\13\129\35\64\131\21\0",
	160934, "\89\3\131\34\0\89\3\130\120\0\129\39\3\130\120\0\76\3\130\120\0",
	177028, "\91\5\129\20\131\74\0\91\5\129\20\131\32\0\129\51\5\129\20\131\32\0\131\105\5\129\20\131\32\0",
	193121, "\91\5\129\22\131\45\0\91\5\129\22\131\3\0\129\51\5\129\22\131\3\0\131\105\5\129\22\131\3\0",
	209215, "\91\5\129\24\131\48\0\91\5\129\24\131\6\0\129\51\5\129\24\131\6\0\131\105\5\129\24\131\6\0",
	225308, "\91\5\129\26\131\51\0\91\5\129\26\131\9\0\129\51\5\129\26\131\9\0\131\105\5\129\26\131\9\0",
	241402, "\91\5\129\28\131\54\0\91\5\129\28\131\12\0\129\51\5\129\28\131\12\0\131\105\5\129\28\131\12\0",
	257495, "\91\5\129\30\131\57\0\91\5\129\30\131\15\0\129\51\5\129\30\131\15\0\131\105\5\129\30\131\15\0",
	273588, "\91\5\129\32\131\59\0\91\5\129\32\131\17\0\129\51\5\129\32\131\17\0\131\105\5\129\32\131\17\0",
	289682, "\91\5\129\34\131\61\0\91\5\129\34\131\19\0\129\51\5\129\34\131\19\0\131\105\5\129\34\131\19\0",
	305775, "\91\5\129\36\131\63\0\91\5\129\36\131\21\0\129\51\5\129\36\131\21\0\131\105\5\129\36\131\21\0",
	321869, "\104\18\131\46\0\104\18\131\4\0\129\54\18\131\4\0\77\18\131\4\0",
	337962, "\105\19\129\20\131\74\0\105\19\129\20\131\32\0\129\56\19\129\20\131\32\0\131\110\19\129\20\131\32\0",
	354056, "\105\19\129\22\131\45\0\105\19\129\22\131\3\0\129\56\19\129\22\131\3\0\131\110\19\129\22\131\3\0",
	370149, "\105\19\129\24\131\48\0\105\19\129\24\131\6\0\129\56\19\129\24\131\6\0\131\110\19\129\24\131\6\0",
	386243, "\105\19\129\26\131\51\0\105\19\129\26\131\9\0\129\56\19\129\26\131\9\0\131\110\19\129\26\131\9\0",
	402336, "\105\19\129\28\131\54\0\105\19\129\28\131\12\0\129\56\19\129\28\131\12\0\131\110\19\129\28\131\12\0",
	418429, "\105\19\129\30\131\57\0\105\19\129\30\131\15\0\129\56\19\129\30\131\15\0\131\110\19\129\30\131\15\0",
	434523, "\105\19\129\32\131\59\0\105\19\129\32\131\17\0\129\56\19\129\32\131\17\0\131\110\19\129\32\131\17\0",
	450616, "\105\19\129\34\131\61\0\105\19\129\34\131\19\0\129\56\19\129\34\131\19\0\131\110\19\129\34\131\19\0",
	466710, "\105\19\129\36\131\63\0\105\19\129\36\131\21\0\129\56\19\129\36\131\21\0\131\110\19\129\36\131\21\0",
	482803, "\109\24\131\49\0\109\24\131\7\0\129\59\24\131\7\0\78\24\131\7\0",
	498897, "\110\25\129\20\131\74\0\110\25\129\20\131\32\0\129\61\25\129\20\131\32\0\131\115\25\129\20\131\32\0",
	514990, "\110\25\129\22\131\45\0\110\25\129\22\131\3\0\129\61\25\129\22\131\3\0\131\115\25\129\22\131\3\0",
	531084, "\110\25\129\24\131\48\0\110\25\129\24\131\6\0\129\61\25\129\24\131\6\0\131\115\25\129\24\131\6\0",
	547177, "\110\25\129\26\131\51\0\110\25\129\26\131\9\0\129\61\25\129\26\131\9\0\131\115\25\129\26\131\9\0",
	563270, "\110\25\129\28\131\54\0\110\25\129\28\131\12\0\129\61\25\129\28\131\12\0\131\115\25\129\28\131\12\0",
	579364, "\110\25\129\30\131\57\0\110\25\129\30\131\15\0\129\61\25\129\30\131\15\0\131\115\25\129\30\131\15\0",
	595457, "\110\25\129\32\131\59\0\110\25\129\32\131\17\0\129\61\25\129\32\131\17\0\131\115\25\129\32\131\17\0",
	611551, "\110\25\129\34\131\61\0\110\25\129\34\131\19\0\129\61\25\129\34\131\19\0\131\115\25\129\34\131\19\0",
	627644, "\110\25\129\36\131\63\0\110\25\129\36\131\21\0\129\61\25\129\36\131\21\0\131\115\25\129\36\131\21\0",
	643738, "\114\32\131\52\0\114\32\131\10\0\129\64\32\131\10\0\79\32\131\10\0",
	659831, "\115\33\129\20\131\74\0\115\33\129\20\131\32\0\129\66\33\129\20\131\32\0\131\120\33\129\20\131\32\0",
	675924, "\115\33\129\22\131\45\0\115\33\129\22\131\3\0\129\66\33\129\22\131\3\0\131\120\33\129\22\131\3\0",
	692018, "\115\33\129\24\131\48\0\115\33\129\24\131\6\0\129\66\33\129\24\131\6\0\131\120\33\129\24\131\6\0",
	708111, "\115\33\129\26\131\51\0\115\33\129\26\131\9\0\129\66\33\129\26\131\9\0\131\120\33\129\26\131\9\0",
	724205, "\115\33\129\28\131\54\0\115\33\129\28\131\12\0\129\66\33\129\28\131\12\0\131\120\33\129\28\131\12\0",
	740298, "\115\33\129\30\131\57\0\115\33\129\30\131\15\0\129\66\33\129\30\131\15\0\131\120\33\129\30\131\15\0",
	756392, "\115\33\129\32\131\59\0\115\33\129\32\131\17\0\129\66\33\129\32\131\17\0\131\120\33\129\32\131\17\0",
	772485, "\115\33\129\34\131\61\0\115\33\129\34\131\19\0\129\66\33\129\34\131\19\0\131\120\33\129\34\131\19\0",
	788579, "\115\33\129\36\131\63\0\115\33\129\36\131\21\0\129\66\33\129\36\131\21\0\131\120\33\129\36\131\21\0",
	804672, "\119\38\131\55\0\119\38\131\13\0\129\69\38\131\13\0\131\123\38\131\13\0",
	820765, "\129\17\131\75\131\64\0\129\17\131\75\131\22\0\129\95\131\75\131\22\0\131\75\131\22\0",
}

distances.yards = {
	9, "\88\2\132\36\0\88\2\132\22\0\129\38\2\132\22\0\131\92\2\132\22\0",
	18, "\103\17\132\38\0\103\17\132\24\0\129\53\17\132\24\0\131\107\17\132\24\0",
	27, "\108\23\132\40\0\108\23\132\26\0\129\58\23\132\26\0\131\112\23\132\26\0",
	37, "\113\31\132\42\0\113\31\132\28\0\129\63\31\132\28\0\131\117\31\132\28\0",
	46, "\118\37\132\44\0\118\37\132\30\0\129\68\37\132\30\0\131\122\37\132\30\0",
	55, "\123\43\132\45\0\123\43\132\31\0\129\73\43\132\31\0\131\127\43\132\31\0",
	64, "\129\0\49\132\46\0\129\0\49\132\32\0\129\78\49\132\32\0\132\4\49\132\32\0",
	73, "\129\5\55\132\47\0\129\5\55\132\33\0\129\83\55\132\33\0\132\9\55\132\33\0",
	82, "\129\10\61\132\48\0\129\10\61\132\34\0\129\88\61\132\34\0\132\14\61\132\34\0",
	91, "\89\3\132\37\0\89\3\132\23\0\129\39\3\132\23\0\131\93\3\132\23\0",
	101, "\91\5\129\20\132\49\0\91\5\129\20\132\35\0\129\51\5\129\20\132\35\0\131\105\5\129\20\132\35\0",
	110, "\91\5\129\22\132\38\0\91\5\129\22\132\24\0\129\51\5\129\22\132\24\0\131\105\5\129\22\132\24\0",
	119, "\91\5\129\24\132\40\0\91\5\129\24\132\26\0\129\51\5\129\24\132\26\0\131\105\5\129\24\132\26\0",
	128, "\91\5\129\26\132\42\0\91\5\129\26\132\28\0\129\51\5\129\26\132\28\0\131\105\5\129\26\132\28\0",
	137, "\91\5\129\28\132\44\0\91\5\129\28\132\30\0\129\51\5\129\28\132\30\0\131\105\5\129\28\132\30\0",
	146, "\91\5\129\30\132\45\0\91\5\129\30\132\31\0\129\51\5\129\30\132\31\0\131\105\5\129\30\132\31\0",
	155, "\91\5\129\32\132\46\0\91\5\129\32\132\32\0\129\51\5\129\32\132\32\0\131\105\5\129\32\132\32\0",
	165, "\91\5\129\34\132\47\0\91\5\129\34\132\33\0\129\51\5\129\34\132\33\0\131\105\5\129\34\132\33\0",
	174, "\91\5\129\36\132\48\0\91\5\129\36\132\34\0\129\51\5\129\36\132\34\0\131\105\5\129\36\132\34\0",
	183, "\104\18\132\39\0\104\18\132\25\0\129\54\18\132\25\0\131\108\18\132\25\0",
	192, "\105\19\129\20\132\49\0\105\19\129\20\132\35\0\129\56\19\129\20\132\35\0\131\110\19\129\20\132\35\0",
	201, "\105\19\129\22\132\38\0\105\19\129\22\132\24\0\129\56\19\129\22\132\24\0\131\110\19\129\22\132\24\0",
	210, "\105\19\129\24\132\40\0\105\19\129\24\132\26\0\129\56\19\129\24\132\26\0\131\110\19\129\24\132\26\0",
	219, "\105\19\129\26\132\42\0\105\19\129\26\132\28\0\129\56\19\129\26\132\28\0\131\110\19\129\26\132\28\0",
	229, "\105\19\129\28\132\44\0\105\19\129\28\132\30\0\129\56\19\129\28\132\30\0\131\110\19\129\28\132\30\0",
	238, "\105\19\129\30\132\45\0\105\19\129\30\132\31\0\129\56\19\129\30\132\31\0\131\110\19\129\30\132\31\0",
	247, "\105\19\129\32\132\46\0\105\19\129\32\132\32\0\129\56\19\129\32\132\32\0\131\110\19\129\32\132\32\0",
	256, "\105\19\129\34\132\47\0\105\19\129\34\132\33\0\129\56\19\129\34\132\33\0\131\110\19\129\34\132\33\0",
	265, "\105\19\129\36\132\48\0\105\19\129\36\132\34\0\129\56\19\129\36\132\34\0\131\110\19\129\36\132\34\0",
	274, "\109\24\132\41\0\109\24\132\27\0\129\59\24\132\27\0\131\113\24\132\27\0",
	283, "\110\25\129\20\132\49\0\110\25\129\20\132\35\0\129\61\25\129\20\132\35\0\131\115\25\129\20\132\35\0",
	293, "\110\25\129\22\132\38\0\110\25\129\22\132\24\0\129\61\25\129\22\132\24\0\131\115\25\129\22\132\24\0",
	302, "\110\25\129\24\132\40\0\110\25\129\24\132\26\0\129\61\25\129\24\132\26\0\131\115\25\129\24\132\26\0",
	311, "\110\25\129\26\132\42\0\110\25\129\26\132\28\0\129\61\25\129\26\132\28\0\131\115\25\129\26\132\28\0",
	320, "\110\25\129\28\132\44\0\110\25\129\28\132\30\0\129\61\25\129\28\132\30\0\131\115\25\129\28\132\30\0",
	329, "\110\25\129\30\132\45\0\110\25\129\30\132\31\0\129\61\25\129\30\132\31\0\131\115\25\129\30\132\31\0",
	338, "\110\25\129\32\132\46\0\110\25\129\32\132\32\0\129\61\25\129\32\132\32\0\131\115\25\129\32\132\32\0",
	347, "\110\25\129\34\132\47\0\110\25\129\34\132\33\0\129\61\25\129\34\132\33\0\131\115\25\129\34\132\33\0",
	357, "\110\25\129\36\132\48\0\110\25\129\36\132\34\0\129\61\25\129\36\132\34\0\131\115\25\129\36\132\34\0",
	366, "\114\32\132\43\0\114\32\132\29\0\129\64\32\132\29\0\131\118\32\132\29\0",
	402, "\129\15\86\0\129\15\85\0\129\93\85\0\132\19\85\0",
	644, "\129\18\131\80\0\129\18\131\79\0\129\96\131\79\0\132\21\131\79\0",
	805, "\129\16\129\120\0\129\16\129\119\0\129\94\129\119\0\132\20\129\119\0",
	966, "\129\18\131\84\0\129\18\131\83\0\129\96\131\83\0\132\21\131\83\0",
	1127, "\129\14\29\0\129\14\28\0\129\92\28\0\132\18\28\0",
	1448, "\129\18\131\89\0\129\18\131\88\0\129\96\131\88\0\132\21\131\88\0",
	1609, "\87\1\130\118\0\87\1\130\117\0\129\37\1\130\117\0\131\91\1\130\117\0",
	1770, "\101\15\131\76\131\65\0\101\15\131\76\131\23\0\129\50\15\131\76\131\23\0\131\104\15\131\76\131\23\0",
	1931, "\101\15\131\77\131\66\0\101\15\131\77\131\24\0\129\50\15\131\77\131\24\0\131\104\15\131\77\131\24\0",
	2092, "\101\15\131\78\131\67\0\101\15\131\78\131\25\0\129\50\15\131\78\131\25\0\131\104\15\131\78\131\25\0",
	2253, "\101\15\131\81\131\68\0\101\15\131\81\131\26\0\129\50\15\131\81\131\26\0\131\104\15\131\81\131\26\0",
	2414, "\101\15\131\82\131\69\0\101\15\131\82\131\27\0\129\50\15\131\82\131\27\0\131\104\15\131\82\131\27\0",
	2575, "\101\15\131\85\131\70\0\101\15\131\85\131\28\0\129\50\15\131\85\131\28\0\131\104\15\131\85\131\28\0",
	2736, "\101\15\131\86\131\71\0\101\15\131\86\131\29\0\129\50\15\131\86\131\29\0\131\104\15\131\86\131\29\0",
	2897, "\101\15\131\87\131\72\0\101\15\131\87\131\30\0\129\50\15\131\87\131\30\0\131\104\15\131\87\131\30\0",
	3058, "\101\15\131\90\131\73\0\101\15\131\90\131\31\0\129\50\15\131\90\131\31\0\131\104\15\131\90\131\31\0",
	3219, "\102\16\131\44\0\102\16\131\2\0\129\52\16\131\2\0\131\106\16\131\2\0",
	3380, "\106\21\131\76\131\65\0\106\21\131\76\131\23\0\129\55\21\131\76\131\23\0\131\109\21\131\76\131\23\0",
	3541, "\106\21\131\77\131\66\0\106\21\131\77\131\24\0\129\55\21\131\77\131\24\0\131\109\21\131\77\131\24\0",
	3701, "\106\21\131\78\131\67\0\106\21\131\78\131\25\0\129\55\21\131\78\131\25\0\131\109\21\131\78\131\25\0",
	3862, "\106\21\131\81\131\68\0\106\21\131\81\131\26\0\129\55\21\131\81\131\26\0\131\109\21\131\81\131\26\0",
	4023, "\106\21\131\82\131\69\0\106\21\131\82\131\27\0\129\55\21\131\82\131\27\0\131\109\21\131\82\131\27\0",
	4184, "\106\21\131\85\131\70\0\106\21\131\85\131\28\0\129\55\21\131\85\131\28\0\131\109\21\131\85\131\28\0",
	4345, "\106\21\131\86\131\71\0\106\21\131\86\131\29\0\129\55\21\131\86\131\29\0\131\109\21\131\86\131\29\0",
	4506, "\106\21\131\87\131\72\0\106\21\131\87\131\30\0\129\55\21\131\87\131\30\0\131\109\21\131\87\131\30\0",
	4667, "\106\21\131\90\131\73\0\106\21\131\90\131\31\0\129\55\21\131\90\131\31\0\131\109\21\131\90\131\31\0",
	4828, "\107\22\131\47\0\107\22\131\5\0\129\57\22\131\5\0\131\111\22\131\5\0",
	4989, "\111\27\131\76\131\65\0\111\27\131\76\131\23\0\129\60\27\131\76\131\23\0\131\114\27\131\76\131\23\0",
	5150, "\111\27\131\77\131\66\0\111\27\131\77\131\24\0\129\60\27\131\77\131\24\0\131\114\27\131\77\131\24\0",
	5311, "\111\27\131\78\131\67\0\111\27\131\78\131\25\0\129\60\27\131\78\131\25\0\131\114\27\131\78\131\25\0",
	5472, "\111\27\131\81\131\68\0\111\27\131\81\131\26\0\129\60\27\131\81\131\26\0\131\114\27\131\81\131\26\0",
	5633, "\111\27\131\82\131\69\0\111\27\131\82\131\27\0\129\60\27\131\82\131\27\0\131\114\27\131\82\131\27\0",
	5794, "\111\27\131\85\131\70\0\111\27\131\85\131\28\0\129\60\27\131\85\131\28\0\131\114\27\131\85\131\28\0",
	5955, "\111\27\131\86\131\71\0\111\27\131\86\131\29\0\129\60\27\131\86\131\29\0\131\114\27\131\86\131\29\0",
	6116, "\111\27\131\87\131\72\0\111\27\131\87\131\30\0\129\60\27\131\87\131\30\0\131\114\27\131\87\131\30\0",
	6276, "\111\27\131\90\131\73\0\111\27\131\90\131\31\0\129\60\27\131\90\131\31\0\131\114\27\131\90\131\31\0",
	6437, "\112\30\131\50\0\112\30\131\8\0\129\62\30\131\8\0\131\116\30\131\8\0",
	6598, "\116\35\131\76\131\65\0\116\35\131\76\131\23\0\129\65\35\131\76\131\23\0\131\119\35\131\76\131\23\0",
	6759, "\116\35\131\77\131\66\0\116\35\131\77\131\24\0\129\65\35\131\77\131\24\0\131\119\35\131\77\131\24\0",
	6920, "\116\35\131\78\131\67\0\116\35\131\78\131\25\0\129\65\35\131\78\131\25\0\131\119\35\131\78\131\25\0",
	7081, "\116\35\131\81\131\68\0\116\35\131\81\131\26\0\129\65\35\131\81\131\26\0\131\119\35\131\81\131\26\0",
	7242, "\116\35\131\82\131\69\0\116\35\131\82\131\27\0\129\65\35\131\82\131\27\0\131\119\35\131\82\131\27\0",
	7403, "\116\35\131\85\131\70\0\116\35\131\85\131\28\0\129\65\35\131\85\131\28\0\131\119\35\131\85\131\28\0",
	7564, "\116\35\131\86\131\71\0\116\35\131\86\131\29\0\129\65\35\131\86\131\29\0\131\119\35\131\86\131\29\0",
	7725, "\116\35\131\87\131\72\0\116\35\131\87\131\30\0\129\65\35\131\87\131\30\0\131\119\35\131\87\131\30\0",
	7886, "\116\35\131\90\131\73\0\116\35\131\90\131\31\0\129\65\35\131\90\131\31\0\131\119\35\131\90\131\31\0",
	8047, "\117\36\131\53\0\117\36\131\11\0\129\67\36\131\11\0\131\121\36\131\11\0",
	8208, "\121\41\131\76\131\65\0\121\41\131\76\131\23\0\129\70\41\131\76\131\23\0\131\124\41\131\76\131\23\0",
	8369, "\121\41\131\77\131\66\0\121\41\131\77\131\24\0\129\70\41\131\77\131\24\0\131\124\41\131\77\131\24\0",
	8530, "\121\41\131\78\131\67\0\121\41\131\78\131\25\0\129\70\41\131\78\131\25\0\131\124\41\131\78\131\25\0",
	8690, "\121\41\131\81\131\68\0\121\41\131\81\131\26\0\129\70\41\131\81\131\26\0\131\124\41\131\81\131\26\0",
	8851, "\121\41\131\82\131\69\0\121\41\131\82\131\27\0\129\70\41\131\82\131\27\0\131\124\41\131\82\131\27\0",
	9012, "\121\41\131\85\131\70\0\121\41\131\85\131\28\0\129\70\41\131\85\131\28\0\131\124\41\131\85\131\28\0",
	9173, "\121\41\131\86\131\71\0\121\41\131\86\131\29\0\129\70\41\131\86\131\29\0\131\124\41\131\86\131\29\0",
	9334, "\121\41\131\87\131\72\0\121\41\131\87\131\30\0\129\70\41\131\87\131\30\0\131\124\41\131\87\131\30\0",
	9495, "\121\41\131\90\131\73\0\121\41\131\90\131\31\0\129\70\41\131\90\131\31\0\131\124\41\131\90\131\31\0",
	9656, "\122\42\131\56\0\122\42\131\14\0\129\72\42\131\14\0\131\126\42\131\14\0",
	9817, "\126\47\131\76\131\65\0\126\47\131\76\131\23\0\129\75\47\131\76\131\23\0\132\1\47\131\76\131\23\0",
	9978, "\126\47\131\77\131\66\0\126\47\131\77\131\24\0\129\75\47\131\77\131\24\0\132\1\47\131\77\131\24\0",
	10139, "\126\47\131\78\131\67\0\126\47\131\78\131\25\0\129\75\47\131\78\131\25\0\132\1\47\131\78\131\25\0",
	10300, "\126\47\131\81\131\68\0\126\47\131\81\131\26\0\129\75\47\131\81\131\26\0\132\1\47\131\81\131\26\0",
	10461, "\126\47\131\82\131\69\0\126\47\131\82\131\27\0\129\75\47\131\82\131\27\0\132\1\47\131\82\131\27\0",
	10622, "\126\47\131\85\131\70\0\126\47\131\85\131\28\0\129\75\47\131\85\131\28\0\132\1\47\131\85\131\28\0",
	10783, "\126\47\131\86\131\71\0\126\47\131\86\131\29\0\129\75\47\131\86\131\29\0\132\1\47\131\86\131\29\0",
	10944, "\126\47\131\87\131\72\0\126\47\131\87\131\30\0\129\75\47\131\87\131\30\0\132\1\47\131\87\131\30\0",
	11104, "\126\47\131\90\131\73\0\126\47\131\90\131\31\0\129\75\47\131\90\131\31\0\132\1\47\131\90\131\31\0",
	11265, "\127\48\131\58\0\127\48\131\16\0\129\77\48\131\16\0\132\3\48\131\16\0",
	11426, "\129\3\53\131\76\131\65\0\129\3\53\131\76\131\23\0\129\80\53\131\76\131\23\0\132\6\53\131\76\131\23\0",
	11587, "\129\3\53\131\77\131\66\0\129\3\53\131\77\131\24\0\129\80\53\131\77\131\24\0\132\6\53\131\77\131\24\0",
	11748, "\129\3\53\131\78\131\67\0\129\3\53\131\78\131\25\0\129\80\53\131\78\131\25\0\132\6\53\131\78\131\25\0",
	11909, "\129\3\53\131\81\131\68\0\129\3\53\131\81\131\26\0\129\80\53\131\81\131\26\0\132\6\53\131\81\131\26\0",
	12070, "\129\3\53\131\82\131\69\0\129\3\53\131\82\131\27\0\129\80\53\131\82\131\27\0\132\6\53\131\82\131\27\0",
	12231, "\129\3\53\131\85\131\70\0\129\3\53\131\85\131\28\0\129\80\53\131\85\131\28\0\132\6\53\131\85\131\28\0",
	12392, "\129\3\53\131\86\131\71\0\129\3\53\131\86\131\29\0\129\80\53\131\86\131\29\0\132\6\53\131\86\131\29\0",
	12553, "\129\3\53\131\87\131\72\0\129\3\53\131\87\131\30\0\129\80\53\131\87\131\30\0\132\6\53\131\87\131\30\0",
	12714, "\129\3\53\131\90\131\73\0\129\3\53\131\90\131\31\0\129\80\53\131\90\131\31\0\132\6\53\131\90\131\31\0",
	12875, "\129\4\54\131\60\0\129\4\54\131\18\0\129\82\54\131\18\0\132\8\54\131\18\0",
	13036, "\129\8\59\131\76\131\65\0\129\8\59\131\76\131\23\0\129\85\59\131\76\131\23\0\132\11\59\131\76\131\23\0",
	13197, "\129\8\59\131\77\131\66\0\129\8\59\131\77\131\24\0\129\85\59\131\77\131\24\0\132\11\59\131\77\131\24\0",
	13358, "\129\8\59\131\78\131\67\0\129\8\59\131\78\131\25\0\129\85\59\131\78\131\25\0\132\11\59\131\78\131\25\0",
	13518, "\129\8\59\131\81\131\68\0\129\8\59\131\81\131\26\0\129\85\59\131\81\131\26\0\132\11\59\131\81\131\26\0",
	13679, "\129\8\59\131\82\131\69\0\129\8\59\131\82\131\27\0\129\85\59\131\82\131\27\0\132\11\59\131\82\131\27\0",
	13840, "\129\8\59\131\85\131\70\0\129\8\59\131\85\131\28\0\129\85\59\131\85\131\28\0\132\11\59\131\85\131\28\0",
	14001, "\129\8\59\131\86\131\71\0\129\8\59\131\86\131\29\0\129\85\59\131\86\131\29\0\132\11\59\131\86\131\29\0",
	14162, "\129\8\59\131\87\131\72\0\129\8\59\131\87\131\30\0\129\85\59\131\87\131\30\0\132\11\59\131\87\131\30\0",
	14323, "\129\8\59\131\90\131\73\0\129\8\59\131\90\131\31\0\129\85\59\131\90\131\31\0\132\11\59\131\90\131\31\0",
	14484, "\129\9\60\131\62\0\129\9\60\131\20\0\129\87\60\131\20\0\132\13\60\131\20\0",
	14645, "\129\13\65\131\76\131\65\0\129\13\65\131\76\131\23\0\129\90\65\131\76\131\23\0\132\16\65\131\76\131\23\0",
	14806, "\129\13\65\131\77\131\66\0\129\13\65\131\77\131\24\0\129\90\65\131\77\131\24\0\132\16\65\131\77\131\24\0",
	14967, "\129\13\65\131\78\131\67\0\129\13\65\131\78\131\25\0\129\90\65\131\78\131\25\0\132\16\65\131\78\131\25\0",
	15128, "\129\13\65\131\81\131\68\0\129\13\65\131\81\131\26\0\129\90\65\131\81\131\26\0\132\16\65\131\81\131\26\0",
	15289, "\129\13\65\131\82\131\69\0\129\13\65\131\82\131\27\0\129\90\65\131\82\131\27\0\132\16\65\131\82\131\27\0",
	15450, "\129\13\65\131\85\131\70\0\129\13\65\131\85\131\28\0\129\90\65\131\85\131\28\0\132\16\65\131\85\131\28\0",
	15611, "\129\13\65\131\86\131\71\0\129\13\65\131\86\131\29\0\129\90\65\131\86\131\29\0\132\16\65\131\86\131\29\0",
	15772, "\129\13\65\131\87\131\72\0\129\13\65\131\87\131\30\0\129\90\65\131\87\131\30\0\132\16\65\131\87\131\30\0",
	15933, "\129\13\65\131\90\131\73\0\129\13\65\131\90\131\31\0\129\90\65\131\90\131\31\0\132\16\65\131\90\131\31\0",
	16093, "\88\2\131\33\0\88\2\130\119\0\129\38\2\130\119\0\131\92\2\130\119\0",
	17703, "\92\6\131\35\0\92\6\130\121\0\129\41\6\130\121\0\131\95\6\130\121\0",
	19312, "\93\7\131\36\0\93\7\130\122\0\129\42\7\130\122\0\131\96\7\130\122\0",
	20921, "\94\8\131\37\0\94\8\130\123\0\129\43\8\130\123\0\131\97\8\130\123\0",
	22531, "\95\9\131\38\0\95\9\130\124\0\129\44\9\130\124\0\131\98\9\130\124\0",
	24140, "\96\10\131\39\0\96\10\130\125\0\129\45\10\130\125\0\131\99\10\130\125\0",
	25750, "\97\11\131\40\0\97\11\130\126\0\129\46\11\130\126\0\131\100\11\130\126\0",
	27359, "\98\12\131\41\0\98\12\130\127\0\129\47\12\130\127\0\131\101\12\130\127\0",
	28968, "\99\13\131\42\0\99\13\131\0\0\129\48\13\131\0\0\131\102\13\131\0\0",
	30578, "\100\14\131\43\0\100\14\131\1\0\129\49\14\131\1\0\131\103\14\131\1\0",
	32187, "\103\17\131\45\0\103\17\131\3\0\129\53\17\131\3\0\131\107\17\131\3\0",
	33796, "\87\129\19\20\131\45\0\87\129\19\20\131\3\0\129\37\129\19\20\131\3\0\131\91\129\19\20\131\3\0",
	35406, "\102\129\21\20\131\45\0\102\129\21\20\131\3\0\129\52\129\21\20\131\3\0\131\106\129\21\20\131\3\0",
	37015, "\107\129\23\20\131\45\0\107\129\23\20\131\3\0\129\57\129\23\20\131\3\0\131\111\129\23\20\131\3\0",
	38624, "\112\129\25\20\131\45\0\112\129\25\20\131\3\0\129\62\129\25\20\131\3\0\131\116\129\25\20\131\3\0",
	40234, "\117\129\27\20\131\45\0\117\129\27\20\131\3\0\129\67\129\27\20\131\3\0\131\121\129\27\20\131\3\0",
	41843, "\122\129\29\20\131\45\0\122\129\29\20\131\3\0\129\72\129\29\20\131\3\0\131\126\129\29\20\131\3\0",
	43452, "\127\129\31\20\131\45\0\127\129\31\20\131\3\0\129\77\129\31\20\131\3\0\132\3\129\31\20\131\3\0",
	45062, "\129\4\129\33\20\131\45\0\129\4\129\33\20\131\3\0\129\82\129\33\20\131\3\0\132\8\129\33\20\131\3\0",
	46671, "\129\9\129\35\20\131\45\0\129\9\129\35\20\131\3\0\129\87\129\35\20\131\3\0\132\13\129\35\20\131\3\0",
	48280, "\108\23\131\48\0\108\23\131\6\0\129\58\23\131\6\0\131\112\23\131\6\0",
	49890, "\87\129\19\26\131\48\0\87\129\19\26\131\6\0\129\37\129\19\26\131\6\0\131\91\129\19\26\131\6\0",
	51499, "\102\129\21\26\131\48\0\102\129\21\26\131\6\0\129\52\129\21\26\131\6\0\131\106\129\21\26\131\6\0",
	53108, "\107\129\23\26\131\48\0\107\129\23\26\131\6\0\129\57\129\23\26\131\6\0\131\111\129\23\26\131\6\0",
	54718, "\112\129\25\26\131\48\0\112\129\25\26\131\6\0\129\62\129\25\26\131\6\0\131\116\129\25\26\131\6\0",
	56327, "\117\129\27\26\131\48\0\117\129\27\26\131\6\0\129\67\129\27\26\131\6\0\131\121\129\27\26\131\6\0",
	57936, "\122\129\29\26\131\48\0\122\129\29\26\131\6\0\129\72\129\29\26\131\6\0\131\126\129\29\26\131\6\0",
	59546, "\127\129\31\26\131\48\0\127\129\31\26\131\6\0\129\77\129\31\26\131\6\0\132\3\129\31\26\131\6\0",
	61155, "\129\4\129\33\26\131\48\0\129\4\129\33\26\131\6\0\129\82\129\33\26\131\6\0\132\8\129\33\26\131\6\0",
	62764, "\129\9\129\35\26\131\48\0\129\9\129\35\26\131\6\0\129\87\129\35\26\131\6\0\132\13\129\35\26\131\6\0",
	64374, "\113\31\131\51\0\113\31\131\9\0\129\63\31\131\9\0\131\117\31\131\9\0",
	65983, "\87\129\19\34\131\51\0\87\129\19\34\131\9\0\129\37\129\19\34\131\9\0\131\91\129\19\34\131\9\0",
	67592, "\102\129\21\34\131\51\0\102\129\21\34\131\9\0\129\52\129\21\34\131\9\0\131\106\129\21\34\131\9\0",
	69202, "\107\129\23\34\131\51\0\107\129\23\34\131\9\0\129\57\129\23\34\131\9\0\131\111\129\23\34\131\9\0",
	70811, "\112\129\25\34\131\51\0\112\129\25\34\131\9\0\129\62\129\25\34\131\9\0\131\116\129\25\34\131\9\0",
	72420, "\117\129\27\34\131\51\0\117\129\27\34\131\9\0\129\67\129\27\34\131\9\0\131\121\129\27\34\131\9\0",
	74030, "\122\129\29\34\131\51\0\122\129\29\34\131\9\0\129\72\129\29\34\131\9\0\131\126\129\29\34\131\9\0",
	75639, "\127\129\31\34\131\51\0\127\129\31\34\131\9\0\129\77\129\31\34\131\9\0\132\3\129\31\34\131\9\0",
	77249, "\129\4\129\33\34\131\51\0\129\4\129\33\34\131\9\0\129\82\129\33\34\131\9\0\132\8\129\33\34\131\9\0",
	78858, "\129\9\129\35\34\131\51\0\129\9\129\35\34\131\9\0\129\87\129\35\34\131\9\0\132\13\129\35\34\131\9\0",
	80467, "\118\37\131\54\0\118\37\131\12\0\129\68\37\131\12\0\131\122\37\131\12\0",
	82077, "\87\129\19\40\131\54\0\87\129\19\40\131\12\0\129\37\129\19\40\131\12\0\131\91\129\19\40\131\12\0",
	83686, "\102\129\21\40\131\54\0\102\129\21\40\131\12\0\129\52\129\21\40\131\12\0\131\106\129\21\40\131\12\0",
	85295, "\107\129\23\40\131\54\0\107\129\23\40\131\12\0\129\57\129\23\40\131\12\0\131\111\129\23\40\131\12\0",
	86905, "\112\129\25\40\131\54\0\112\129\25\40\131\12\0\129\62\129\25\40\131\12\0\131\116\129\25\40\131\12\0",
	88514, "\117\129\27\40\131\54\0\117\129\27\40\131\12\0\129\67\129\27\40\131\12\0\131\121\129\27\40\131\12\0",
	90123, "\122\129\29\40\131\54\0\122\129\29\40\131\12\0\129\72\129\29\40\131\12\0\131\126\129\29\40\131\12\0",
	91733, "\127\129\31\40\131\54\0\127\129\31\40\131\12\0\129\77\129\31\40\131\12\0\132\3\129\31\40\131\12\0",
	93342, "\129\4\129\33\40\131\54\0\129\4\129\33\40\131\12\0\129\82\129\33\40\131\12\0\132\8\129\33\40\131\12\0",
	94951, "\129\9\129\35\40\131\54\0\129\9\129\35\40\131\12\0\129\87\129\35\40\131\12\0\132\13\129\35\40\131\12\0",
	96561, "\123\43\131\57\0\123\43\131\15\0\129\73\43\131\15\0\131\127\43\131\15\0",
	98170, "\87\129\19\46\131\57\0\87\129\19\46\131\15\0\129\37\129\19\46\131\15\0\131\91\129\19\46\131\15\0",
	99779, "\102\129\21\46\131\57\0\102\129\21\46\131\15\0\129\52\129\21\46\131\15\0\131\106\129\21\46\131\15\0",
	101389, "\107\129\23\46\131\57\0\107\129\23\46\131\15\0\129\57\129\23\46\131\15\0\131\111\129\23\46\131\15\0",
	102998, "\112\129\25\46\131\57\0\112\129\25\46\131\15\0\129\62\129\25\46\131\15\0\131\116\129\25\46\131\15\0",
	104607, "\117\129\27\46\131\57\0\117\129\27\46\131\15\0\129\67\129\27\46\131\15\0\131\121\129\27\46\131\15\0",
	106217, "\122\129\29\46\131\57\0\122\129\29\46\131\15\0\129\72\129\29\46\131\15\0\131\126\129\29\46\131\15\0",
	107826, "\127\129\31\46\131\57\0\127\129\31\46\131\15\0\129\77\129\31\46\131\15\0\132\3\129\31\46\131\15\0",
	109435, "\129\4\129\33\46\131\57\0\129\4\129\33\46\131\15\0\129\82\129\33\46\131\15\0\132\8\129\33\46\131\15\0",
	111045, "\129\9\129\35\46\131\57\0\129\9\129\35\46\131\15\0\129\87\129\35\46\131\15\0\132\13\129\35\46\131\15\0",
	112654, "\129\0\49\131\59\0\129\0\49\131\17\0\129\78\49\131\17\0\132\4\49\131\17\0",
	114263, "\87\129\19\52\131\59\0\87\129\19\52\131\17\0\129\37\129\19\52\131\17\0\131\91\129\19\52\131\17\0",
	115873, "\102\129\21\52\131\59\0\102\129\21\52\131\17\0\129\52\129\21\52\131\17\0\131\106\129\21\52\131\17\0",
	117482, "\107\129\23\52\131\59\0\107\129\23\52\131\17\0\129\57\129\23\52\131\17\0\131\111\129\23\52\131\17\0",
	119091, "\112\129\25\52\131\59\0\112\129\25\52\131\17\0\129\62\129\25\52\131\17\0\131\116\129\25\52\131\17\0",
	120701, "\117\129\27\52\131\59\0\117\129\27\52\131\17\0\129\67\129\27\52\131\17\0\131\121\129\27\52\131\17\0",
	122310, "\122\129\29\52\131\59\0\122\129\29\52\131\17\0\129\72\129\29\52\131\17\0\131\126\129\29\52\131\17\0",
	123919, "\127\129\31\52\131\59\0\127\129\31\52\131\17\0\129\77\129\31\52\131\17\0\132\3\129\31\52\131\17\0",
	125529, "\129\4\129\33\52\131\59\0\129\4\129\33\52\131\17\0\129\82\129\33\52\131\17\0\132\8\129\33\52\131\17\0",
	127138, "\129\9\129\35\52\131\59\0\129\9\129\35\52\131\17\0\129\87\129\35\52\131\17\0\132\13\129\35\52\131\17\0",
	128748, "\129\5\55\131\61\0\129\5\55\131\19\0\129\83\55\131\19\0\132\9\55\131\19\0",
	130357, "\87\129\19\58\131\61\0\87\129\19\58\131\19\0\129\37\129\19\58\131\19\0\131\91\129\19\58\131\19\0",
	131966, "\102\129\21\58\131\61\0\102\129\21\58\131\19\0\129\52\129\21\58\131\19\0\131\106\129\21\58\131\19\0",
	133576, "\107\129\23\58\131\61\0\107\129\23\58\131\19\0\129\57\129\23\58\131\19\0\131\111\129\23\58\131\19\0",
	135185, "\112\129\25\58\131\61\0\112\129\25\58\131\19\0\129\62\129\25\58\131\19\0\131\116\129\25\58\131\19\0",
	136794, "\117\129\27\58\131\61\0\117\129\27\58\131\19\0\129\67\129\27\58\131\19\0\131\121\129\27\58\131\19\0",
	138404, "\122\129\29\58\131\61\0\122\129\29\58\131\19\0\129\72\129\29\58\131\19\0\131\126\129\29\58\131\19\0",
	140013, "\127\129\31\58\131\61\0\127\129\31\58\131\19\0\129\77\129\31\58\131\19\0\132\3\129\31\58\131\19\0",
	141622, "\129\4\129\33\58\131\61\0\129\4\129\33\58\131\19\0\129\82\129\33\58\131\19\0\132\8\129\33\58\131\19\0",
	143232, "\129\9\129\35\58\131\61\0\129\9\129\35\58\131\19\0\129\87\129\35\58\131\19\0\132\13\129\35\58\131\19\0",
	144841, "\129\10\61\131\63\0\129\10\61\131\21\0\129\88\61\131\21\0\132\14\61\131\21\0",
	146450, "\87\129\19\64\131\63\0\87\129\19\64\131\21\0\129\37\129\19\64\131\21\0\131\91\129\19\64\131\21\0",
	148060, "\102\129\21\64\131\63\0\102\129\21\64\131\21\0\129\52\129\21\64\131\21\0\131\106\129\21\64\131\21\0",
	149669, "\107\129\23\64\131\63\0\107\129\23\64\131\21\0\129\57\129\23\64\131\21\0\131\111\129\23\64\131\21\0",
	151278, "\112\129\25\64\131\63\0\112\129\25\64\131\21\0\129\62\129\25\64\131\21\0\131\116\129\25\64\131\21\0",
	152888, "\117\129\27\64\131\63\0\117\129\27\64\131\21\0\129\67\129\27\64\131\21\0\131\121\129\27\64\131\21\0",
	154497, "\122\129\29\64\131\63\0\122\129\29\64\131\21\0\129\72\129\29\64\131\21\0\131\126\129\29\64\131\21\0",
	156106, "\127\129\31\64\131\63\0\127\129\31\64\131\21\0\129\77\129\31\64\131\21\0\132\3\129\31\64\131\21\0",
	157716, "\129\4\129\33\64\131\63\0\129\4\129\33\64\131\21\0\129\82\129\33\64\131\21\0\132\8\129\33\64\131\21\0",
	159325, "\129\9\129\35\64\131\63\0\129\9\129\35\64\131\21\0\129\87\129\35\64\131\21\0\132\13\129\35\64\131\21\0",
	160934, "\89\3\131\34\0\89\3\130\120\0\129\39\3\130\120\0\131\93\3\130\120\0",
	177028, "\91\5\129\20\131\74\0\91\5\129\20\131\32\0\129\51\5\129\20\131\32\0\131\105\5\129\20\131\32\0",
	193121, "\91\5\129\22\131\45\0\91\5\129\22\131\3\0\129\51\5\129\22\131\3\0\131\105\5\129\22\131\3\0",
	209215, "\91\5\129\24\131\48\0\91\5\129\24\131\6\0\129\51\5\129\24\131\6\0\131\105\5\129\24\131\6\0",
	225308, "\91\5\129\26\131\51\0\91\5\129\26\131\9\0\129\51\5\129\26\131\9\0\131\105\5\129\26\131\9\0",
	241402, "\91\5\129\28\131\54\0\91\5\129\28\131\12\0\129\51\5\129\28\131\12\0\131\105\5\129\28\131\12\0",
	257495, "\91\5\129\30\131\57\0\91\5\129\30\131\15\0\129\51\5\129\30\131\15\0\131\105\5\129\30\131\15\0",
	273588, "\91\5\129\32\131\59\0\91\5\129\32\131\17\0\129\51\5\129\32\131\17\0\131\105\5\129\32\131\17\0",
	289682, "\91\5\129\34\131\61\0\91\5\129\34\131\19\0\129\51\5\129\34\131\19\0\131\105\5\129\34\131\19\0",
	305775, "\91\5\129\36\131\63\0\91\5\129\36\131\21\0\129\51\5\129\36\131\21\0\131\105\5\129\36\131\21\0",
	321869, "\104\18\131\46\0\104\18\131\4\0\129\54\18\131\4\0\77\18\131\4\0",
	337962, "\105\19\129\20\131\74\0\105\19\129\20\131\32\0\129\56\19\129\20\131\32\0\131\110\19\129\20\131\32\0",
	354056, "\105\19\129\22\131\45\0\105\19\129\22\131\3\0\129\56\19\129\22\131\3\0\131\110\19\129\22\131\3\0",
	370149, "\105\19\129\24\131\48\0\105\19\129\24\131\6\0\129\56\19\129\24\131\6\0\131\110\19\129\24\131\6\0",
	386243, "\105\19\129\26\131\51\0\105\19\129\26\131\9\0\129\56\19\129\26\131\9\0\131\110\19\129\26\131\9\0",
	402336, "\105\19\129\28\131\54\0\105\19\129\28\131\12\0\129\56\19\129\28\131\12\0\131\110\19\129\28\131\12\0",
	418429, "\105\19\129\30\131\57\0\105\19\129\30\131\15\0\129\56\19\129\30\131\15\0\131\110\19\129\30\131\15\0",
	434523, "\105\19\129\32\131\59\0\105\19\129\32\131\17\0\129\56\19\129\32\131\17\0\131\110\19\129\32\131\17\0",
	450616, "\105\19\129\34\131\61\0\105\19\129\34\131\19\0\129\56\19\129\34\131\19\0\131\110\19\129\34\131\19\0",
	466710, "\105\19\129\36\131\63\0\105\19\129\36\131\21\0\129\56\19\129\36\131\21\0\131\110\19\129\36\131\21\0",
	482803, "\109\24\131\49\0\109\24\131\7\0\129\59\24\131\7\0\78\24\131\7\0",
	498897, "\110\25\129\20\131\74\0\110\25\129\20\131\32\0\129\61\25\129\20\131\32\0\131\115\25\129\20\131\32\0",
	514990, "\110\25\129\22\131\45\0\110\25\129\22\131\3\0\129\61\25\129\22\131\3\0\131\115\25\129\22\131\3\0",
	531084, "\110\25\129\24\131\48\0\110\25\129\24\131\6\0\129\61\25\129\24\131\6\0\131\115\25\129\24\131\6\0",
	547177, "\110\25\129\26\131\51\0\110\25\129\26\131\9\0\129\61\25\129\26\131\9\0\131\115\25\129\26\131\9\0",
	563270, "\110\25\129\28\131\54\0\110\25\129\28\131\12\0\129\61\25\129\28\131\12\0\131\115\25\129\28\131\12\0",
	579364, "\110\25\129\30\131\57\0\110\25\129\30\131\15\0\129\61\25\129\30\131\15\0\131\115\25\129\30\131\15\0",
	595457, "\110\25\129\32\131\59\0\110\25\129\32\131\17\0\129\61\25\129\32\131\17\0\131\115\25\129\32\131\17\0",
	611551, "\110\25\129\34\131\61\0\110\25\129\34\131\19\0\129\61\25\129\34\131\19\0\131\115\25\129\34\131\19\0",
	627644, "\110\25\129\36\131\63\0\110\25\129\36\131\21\0\129\61\25\129\36\131\21\0\131\115\25\129\36\131\21\0",
	643738, "\114\32\131\52\0\114\32\131\10\0\129\64\32\131\10\0\79\32\131\10\0",
	659831, "\115\33\129\20\131\74\0\115\33\129\20\131\32\0\129\66\33\129\20\131\32\0\131\120\33\129\20\131\32\0",
	675924, "\115\33\129\22\131\45\0\115\33\129\22\131\3\0\129\66\33\129\22\131\3\0\131\120\33\129\22\131\3\0",
	692018, "\115\33\129\24\131\48\0\115\33\129\24\131\6\0\129\66\33\129\24\131\6\0\131\120\33\129\24\131\6\0",
	708111, "\115\33\129\26\131\51\0\115\33\129\26\131\9\0\129\66\33\129\26\131\9\0\131\120\33\129\26\131\9\0",
	724205, "\115\33\129\28\131\54\0\115\33\129\28\131\12\0\129\66\33\129\28\131\12\0\131\120\33\129\28\131\12\0",
	740298, "\115\33\129\30\131\57\0\115\33\129\30\131\15\0\129\66\33\129\30\131\15\0\131\120\33\129\30\131\15\0",
	756392, "\115\33\129\32\131\59\0\115\33\129\32\131\17\0\129\66\33\129\32\131\17\0\131\120\33\129\32\131\17\0",
	772485, "\115\33\129\34\131\61\0\115\33\129\34\131\19\0\129\66\33\129\34\131\19\0\131\120\33\129\34\131\19\0",
	788579, "\115\33\129\36\131\63\0\115\33\129\36\131\21\0\129\66\33\129\36\131\21\0\131\120\33\129\36\131\21\0",
	804672, "\119\38\131\55\0\119\38\131\13\0\129\69\38\131\13\0\131\123\38\131\13\0",
	820765, "\129\17\131\75\131\64\0\129\17\131\75\131\22\0\129\95\131\75\131\22\0\131\75\131\22\0",
}

ordinals = {
	{L"1st", nil, nil},
	{L"2nd", nil, nil},
	{L"3rd", nil, nil},
	{L"4th", nil, nil},
	{L"5th", nil, nil},
	{L"6th", nil, nil},
	{L"7th", nil, nil},
	{L"8th", nil, nil},
	{L"9th", nil, nil},
	{L"10th", nil, nil},
	{L"11th", nil, nil},
	{L"12th", nil, nil},
	{L"13th", nil, nil},
	{L"14th", nil, nil},
	{L"15th", nil, nil},
	{L"16th", nil, nil},
	{L"17th", nil, nil},
	{L"18th", nil, nil},
	{L"19th", nil, nil},
	{L"20th", nil, nil},
}

